GNU bug report logs - #13469
24.2; emacs has a tiny frame, when I embed it in a kmail text field via xembed (--parent-id %w)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: arne_bab@HIDDEN; dated Wed, 16 Jan 2013 23:55:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13469 <at> debbugs.gnu.org:


Received: (at 13469) by debbugs.gnu.org; 22 Mar 2013 07:02:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 22 03:02:18 2013
Received: from localhost ([127.0.0.1]:39930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UIvzV-0005aV-CB
	for submit <at> debbugs.gnu.org; Fri, 22 Mar 2013 03:02:17 -0400
Received: from mailout.melmac.se ([62.20.26.67]:55661)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jan.h.d@HIDDEN>) id 1UIvzT-0005aJ-18
	for 13469 <at> debbugs.gnu.org; Fri, 22 Mar 2013 03:02:16 -0400
Received: from mail01.melmac.se (mail01.melmac.se [62.20.26.80])
	by mailout.melmac.se (Postfix) with ESMTP id 1F7739AFF
	for <13469 <at> debbugs.gnu.org>; Fri, 22 Mar 2013 08:00:18 +0100 (CET)
Received: (qmail 24710 invoked by uid 89); 22 Mar 2013 07:00:14 -0000
Received: from h-46-59-42-18.na.cust.bahnhof.se (HELO coolsville.localdomain)
	(boel.djarv@HIDDEN@46.59.42.18)
	by mail01.melmac.se with ESMTPA; 22 Mar 2013 07:00:14 -0000
Received: from [172.20.199.13] (zeplin [172.20.199.13])
	by coolsville.localdomain (Postfix) with ESMTPSA id 6BE7C7FA06C;
	Fri, 22 Mar 2013 08:00:17 +0100 (CET)
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 6.3 \(1503\))
Subject: Re: bug#13469: 24.2;
	emacs has a tiny frame, when I embed it in a kmail text
	field	via	xembed (--parent-id %w)
From: =?iso-8859-1?Q?Jan_Dj=E4rv?= <jan.h.d@HIDDEN>
In-Reply-To: <838v5gzmck.fsf@HIDDEN>
Date: Fri, 22 Mar 2013 08:00:22 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <07433134-C470-4A76-AF08-FA996018218A@HIDDEN>
References: <874nigbs8c.wl%arne_bab@HIDDEN> <5148405C.2000808@HIDDEN>
	<837gl220on.fsf@HIDDEN> <51497A90.7070901@HIDDEN>
	<83fvzpzxbz.fsf@HIDDEN> <514AE793.8080303@HIDDEN>
	<838v5gzmck.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
X-Mailer: Apple Mail (2.1503)
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview: Hello. 21 mar 2013 kl. 18:36 skrev Eli Zaretskii
	<eliz@HIDDEN>:
	> > This looks like GTK instructed us to resize ourselves to 200x75 >
	pixels, 
	which was quite reasonably translated to 21x5 characters. > Sounds like
	a
	good time for some GTK expert (Jan?) to chime in and > help us out.
	[...] Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.4639]
X-Debbugs-Envelope-To: 13469
Cc: 13469 <at> debbugs.gnu.org, arne_bab@HIDDEN, arne.babenhauserheide@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.7 (/)

Hello.

21 mar 2013 kl. 18:36 skrev Eli Zaretskii <eliz@HIDDEN>:

>=20
> This looks like GTK instructed us to resize ourselves to 200x75
> pixels, which was quite reasonably translated to 21x5 characters.
> Sounds like a good time for some GTK expert (Jan?) to chime in and
> help us out.

Emacs may be setting wm size hints when embedded, it should not do that.
Try to add a return-line at the top of x_wm_set_size_hint in gtkutil.c =
so no code in it gets executed and see if it helps.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13469; Package emacs. Full text available.

Message received at 13469 <at> debbugs.gnu.org:


Received: (at 13469) by debbugs.gnu.org; 21 Mar 2013 20:25:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 21 16:25:57 2013
Received: from localhost ([127.0.0.1]:39414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UIm3g-0005nQ-DS
	for submit <at> debbugs.gnu.org; Thu, 21 Mar 2013 16:25:57 -0400
Received: from mout.web.de ([212.227.17.12]:59672)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <arne_bab@HIDDEN>) id 1UIm3d-0005nH-Ov
	for 13469 <at> debbugs.gnu.org; Thu, 21 Mar 2013 16:25:55 -0400
Received: from fluss.localnet ([212.255.35.153]) by smtp.web.de (mrweb001)
	with ESMTPSA (Nemesis) id 0M5Oql-1UcvKw0MdL-00zZ6V;
	Thu, 21 Mar 2013 21:23:53 +0100
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13469: 24.2;
	emacs has a tiny frame, when I embed it in a kmail text
	field	via	xembed (--parent-id %w)
Date: Thu, 21 Mar 2013 21:23:51 +0100
Message-ID: <2250885.ECUQ9MfLVg@fluss>
User-Agent: KMail/4.10.1 (Linux/3.6.11-gentoo; KDE/4.10.1; x86_64; ; )
In-Reply-To: <838v5gzmck.fsf@HIDDEN>
References: <874nigbs8c.wl%arne_bab@HIDDEN> <514AE793.8080303@HIDDEN>
	<838v5gzmck.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="nextPart1436419.B8NcCrgifN";
	micalg="pgp-sha256"; protocol="application/pgp-signature"
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V02:K0:eMmKL6ym+8bJD0e8i3GZFB8CFDOEnn4iGzOKdSFIwld
	zJgMnAhyNDw4398vZUc7BTsT9fSzs/HzvJ6zaYMMNOzWJQ+dDb
	0TnC/8f9Nefk0xWX18u0mgwH3yWrITQhHl4w5JCJzmCxPD4hAs
	EGwQK1lp8Bqkq5kW+4DhbFZRKboc58U5+cto+NFvnfYbG8nk4K
	cvR67a5u+QLhnUYx8BBIA==
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 13469
Cc: 13469 <at> debbugs.gnu.org, Jan =?ISO-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>,
	arne.babenhauserheide@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)


--nextPart1436419.B8NcCrgifN
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Am Donnerstag, 21. M=C3=A4rz 2013, 19:36:27 schrieb Eli Zaretskii:
> > Date: Thu, 21 Mar 2013 11:57:23 +0100
> > From: "Arne Babenhauserheide (IMK)" <arne.babenhauserheide@HIDDEN>=

> > CC: "13469 <at> debbugs.gnu.org" <13469 <at> debbugs.gnu.org>, "arne_bab@web.=
de"
> > =09<arne_bab@HIDDEN>
> >=20
> > I just found a much easier way to reproduce it:
> >=20
> > Run emacs with --parent-id <random number>
>=20
> So it looks like something specific to using the XEmbed protocol, I
> guess.

That=E2=80=99s what I think, too.

> This looks like GTK instructed us to resize ourselves to 200x75
> pixels, which was quite reasonably translated to 21x5 characters.
> Sounds like a good time for some GTK expert (Jan?) to chime in and
> help us out.

That would be great!

Best wishes,
Arne
--nextPart1436419.B8NcCrgifN
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)

iJwEAAEIAAYFAlFLbFcACgkQ3M8NswvBBUgqIQP+OX7AcN8ELu8OzTz0fclOy2iu
FyBI0sHvan9kM+JrUMFV87MR8KzsYod+S6+rLr/yP+xgOcJYsnaa8ubHfzjQx7/P
y0P6NjJZWgegzL+5Ks7OYMY3gdtVG9a94YX2aXyoVaG6ScXom62ThvUWnulBgmvv
NArDcJMj3h0fCvN/iWk=
=nar+
-----END PGP SIGNATURE-----

--nextPart1436419.B8NcCrgifN--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13469; Package emacs. Full text available.

Message received at 13469 <at> debbugs.gnu.org:


Received: (at 13469) by debbugs.gnu.org; 21 Mar 2013 17:38:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 21 13:38:21 2013
Received: from localhost ([127.0.0.1]:39280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UIjRV-0001ij-9F
	for submit <at> debbugs.gnu.org; Thu, 21 Mar 2013 13:38:21 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:63693)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UIjRQ-0001iX-Bp
	for 13469 <at> debbugs.gnu.org; Thu, 21 Mar 2013 13:38:20 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MK000H00U1WU000@HIDDEN> for
	13469 <at> debbugs.gnu.org; Thu, 21 Mar 2013 19:36:11 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MK000HP7U8BBE70@HIDDEN>;
	Thu, 21 Mar 2013 19:36:11 +0200 (IST)
Date: Thu, 21 Mar 2013 19:36:27 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13469: 24.2;
	emacs has a tiny frame, when I embed it in a kmail text
	field	via	xembed (--parent-id %w)
In-reply-to: <514AE793.8080303@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: arne.babenhauserheide@HIDDEN,
	Jan =?utf-8?Q?Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Message-id: <838v5gzmck.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8bit
References: <874nigbs8c.wl%arne_bab@HIDDEN> <5148405C.2000808@HIDDEN>
	<837gl220on.fsf@HIDDEN> <51497A90.7070901@HIDDEN>
	<83fvzpzxbz.fsf@HIDDEN> <514AE793.8080303@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 13469
Cc: 13469 <at> debbugs.gnu.org, arne_bab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Thu, 21 Mar 2013 11:57:23 +0100
> From: "Arne Babenhauserheide (IMK)" <arne.babenhauserheide@HIDDEN>
> CC: "13469 <at> debbugs.gnu.org" <13469 <at> debbugs.gnu.org>, "arne_bab@HIDDEN"
> 	<arne_bab@HIDDEN>
> 
> I just found a much easier way to reproduce it:
> 
> Run emacs with --parent-id <random number>

So it looks like something specific to using the XEmbed protocol, I
guess.

> A backtrace after clicking the minibuffer (which triggers a resize)
> looks like this (without menubar):
> 
> Breakpoint 1, change_frame_size (f=f@entry=0x104b4b0,
> newheight=newheight@entry=5, newwidth=newwidth@entry=21,
> pretend=pretend@entry=0, delay=delay@entry=1,
>     safe=safe@entry=0) at dispnew.c:5726
> 5726    in dispnew.c
> (gdb) backtrace
> #0  change_frame_size (f=f@entry=0x104b4b0, newheight=newheight@entry=5,
> newwidth=newwidth@entry=21, pretend=pretend@entry=0,
> delay=delay@entry=1, safe=safe@entry=0)
>     at dispnew.c:5726
> #1  0x00000000004ed1c8 in xg_frame_resized (f=0x104b4b0, pixelwidth=200,
> pixelheight=75) at gtkutil.c:888
> #2  0x00000000004c3056 in handle_one_xevent
> (dpyinfo=dpyinfo@entry=0x101a3f0,
> eventptr=eventptr@entry=0x7fffffffc360, finish=finish@entry=0xaee010
> <current_finish>,
>     hold_quit=0x7fffffffc720) at xterm.c:6813
> #3  0x00000000004c3a34 in event_handler_gdk (gxev=0x7fffffffc360,
> ev=<optimized out>, data=<optimized out>) at xterm.c:5834
> #4  0x00007ffff7543d52 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
> #5  0x00007ffff75454f8 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
> #6  0x00007ffff754557e in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
> #7  0x00007ffff68c0883 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0

This looks like GTK instructed us to resize ourselves to 200x75
pixels, which was quite reasonably translated to 21x5 characters.
Sounds like a good time for some GTK expert (Jan?) to chime in and
help us out.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13469; Package emacs. Full text available.

Message received at 13469 <at> debbugs.gnu.org:


Received: (at 13469) by debbugs.gnu.org; 21 Mar 2013 11:39:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 21 07:39:52 2013
Received: from localhost ([127.0.0.1]:38649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UIdqa-0001Po-Ko
	for submit <at> debbugs.gnu.org; Thu, 21 Mar 2013 07:39:52 -0400
Received: from mout.gmx.net ([212.227.17.22]:56307)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1UIdqX-0001Pg-CR
	for 13469 <at> debbugs.gnu.org; Thu, 21 Mar 2013 07:39:50 -0400
Received: from mailout-de.gmx.net ([10.1.76.31]) by mrigmx.server.lan
	(mrigmx002) with ESMTP (Nemesis) id 0MevCx-1U3RHT0f2v-00OVJq for
	<13469 <at> debbugs.gnu.org>; Thu, 21 Mar 2013 12:37:58 +0100
Received: (qmail invoked by alias); 21 Mar 2013 11:37:58 -0000
Received: from 62-47-35-43.adsl.highway.telekom.at (EHLO [62.47.35.43])
	[62.47.35.43]
	by mail.gmx.net (mp031) with SMTP; 21 Mar 2013 12:37:58 +0100
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/KMRJ2bcTK4fIDm1J5+7c2/TB4hh+EgbM8EAbXBX
	TMSqbWmHxqNC81
Message-ID: <514AF113.8040905@HIDDEN>
Date: Thu, 21 Mar 2013 12:37:55 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: arne.babenhauserheide@HIDDEN
Subject: Re: bug#13469: 24.2;	emacs has a tiny frame, when I embed it in a
	kmail text	field	via	xembed (--parent-id %w)
References: <874nigbs8c.wl%arne_bab@HIDDEN>
	<5148405C.2000808@HIDDEN>	<837gl220on.fsf@HIDDEN>
	<51497A90.7070901@HIDDEN>	<83fvzpzxbz.fsf@HIDDEN>
	<514AE793.8080303@HIDDEN>
In-Reply-To: <514AE793.8080303@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13469
Cc: "13469 <at> debbugs.gnu.org" <13469 <at> debbugs.gnu.org>,
	Eli Zaretskii <eliz@HIDDEN>, "arne_bab@HIDDEN" <arne_bab@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

 >>> Especially strange is that it works with emacs -Q --basic-display.
 >> The --basic-display disables menu bar and tool bar, and also disables
 >> blinking cursor.  Maybe the absent menu and tool bar somehow affect
 >> this, when you resize the qxembed-window?
 >
 > When I disable the menu bar, the frame is a bit bigger even without
 > --basic-display. It still resizes to the tiny size, though.

Did you also try with a disabled toolbar?

 > I just found a much easier way to reproduce it:
 >
 > Run emacs with --parent-id <random number>
 >
 > Then click with the mouse on the minibuffer. With menubar, it gets
 > really tiny, without menubar it resizes to a bigger size (~4 times as
 > wide

... high, I presume ...

 > as the small size), but when I click the minibuffer it emacs starts
 > to flicker and to resize repeatedly.

... how does it resize and how do you observe that ?

 > The flickering stops, when I call
 > async-shell-command but starts again once I hit C-g to leave the minibuffer.

Does it flicker/resize when you enter the minibuffer or when you leave
it?

 >> I suggest to put a breakpoint in change_frame_size,

change_frame_size_1 is better, where it does block_input () so you avoid
delayed and not-changing-anything calls.

 > and see who calls
 >> it with such a small frame size.
 >
 > I get something like this:

In all these calls can you see something in newheight that reflects the
size change you requested?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13469; Package emacs. Full text available.

Message received at 13469 <at> debbugs.gnu.org:


Received: (at 13469) by debbugs.gnu.org; 21 Mar 2013 10:59:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 21 06:59:37 2013
Received: from localhost ([127.0.0.1]:38583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UIdDY-00081k-RD
	for submit <at> debbugs.gnu.org; Thu, 21 Mar 2013 06:59:37 -0400
Received: from mailout.scc.kit.edu ([129.13.185.202]:54831)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <arne.babenhauserheide@HIDDEN>) id 1UIdDQ-00081W-OD
	for 13469 <at> debbugs.gnu.org; Thu, 21 Mar 2013 06:59:31 -0400
Received: from KIT-MSX-03.kit.edu (kit-msx-03.kit.edu [172.21.117.13])
	by scc-mailout-02.scc.kit.edu with esmtps (Exim 4.72 #1)
	id 1UIdBd-0003Px-Dr; Thu, 21 Mar 2013 11:57:33 +0100
Received: from [141.52.58.243] (172.21.117.7) by smtp.kit.edu (172.21.117.13)
	with Microsoft SMTP Server (TLS) id 8.3.298.1;
	Thu, 21 Mar 2013 11:57:32 +0100
Message-ID: <514AE793.8080303@HIDDEN>
Date: Thu, 21 Mar 2013 11:57:23 +0100
From: "Arne Babenhauserheide (IMK)" <arne.babenhauserheide@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:17.0) Gecko/20130319 Thunderbird/17.0.4
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13469: 24.2;	emacs has a tiny frame, when I embed it in a
	kmail text field	via	xembed (--parent-id %w)
References: <874nigbs8c.wl%arne_bab@HIDDEN> <5148405C.2000808@HIDDEN>
	<837gl220on.fsf@HIDDEN> <51497A90.7070901@HIDDEN>
	<83fvzpzxbz.fsf@HIDDEN>
In-Reply-To: <83fvzpzxbz.fsf@HIDDEN>
X-Enigmail-Version: 1.5
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature";
	boundary="----enig2TRJQCJIDPGXVBLVXRFLX"
X-Spam-Score: -6.7 (------)
X-Debbugs-Envelope-To: 13469
Cc: "13469 <at> debbugs.gnu.org" <13469 <at> debbugs.gnu.org>,
	"arne_bab@HIDDEN" <arne_bab@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: arne.babenhauserheide@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.7 (------)

------enig2TRJQCJIDPGXVBLVXRFLX
Content-Type: multipart/mixed;
 boundary="------------050403090100040803090108"

This is a multi-part message in MIME format.
--------------050403090100040803090108
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Am 20.03.2013 20:26, schrieb Eli Zaretskii:
> [Please keep the bug address on the CC list.]

Sorry, that got lost in different shortcuts of different mail programs=E2=
=80=A6

I=E2=80=99ll try to keep it in.

>> There might also be a bug in Qt, which triggers this behavior.
>>
>> Especially strange is that it works with emacs -Q --basic-display.
>=20
> The --basic-display disables menu bar and tool bar, and also disables
> blinking cursor.  Maybe the absent menu and tool bar somehow affect
> this, when you resize the qxembed-window?

When I disable the menu bar, the frame is a bit bigger even without
--basic-display. It still resizes to the tiny size, though.

I just found a much easier way to reproduce it:

Run emacs with --parent-id <random number>

Then click with the mouse on the minibuffer. With menubar, it gets
really tiny, without menubar it resizes to a bigger size (~4 times as
wide as the small size), but when I click the minibuffer it emacs starts
to flicker and to resize repeatedly. The flickering stops, when I call
async-shell-command but starts again once I hit C-g to leave the minibuff=
er.

> I suggest to put a breakpoint in change_frame_size, and see who calls
> it with such a small frame size.

I get something like this:

Breakpoint 1, change_frame_size (f=3Df@entry=3D0x104b4b0,
newheight=3Dnewheight@entry=3D5, newwidth=3Dnewwidth@entry=3D21,
pretend=3Dpretend@entry=3D0, delay=3Ddelay@entry=3D1,
    safe=3Dsafe@entry=3D0) at dispnew.c:5726
5726    in dispnew.c
(gdb)
Continuing.

Breakpoint 1, change_frame_size (f=3D0x104b4b0, newheight=3D5, newwidth=3D=
21,
pretend=3D0, delay=3D0, safe=3D1) at dispnew.c:5726
5726    in dispnew.c
(gdb)
Continuing.

Breakpoint 1, change_frame_size (f=3Df@entry=3D0x104b4b0,
newheight=3Dnewheight@entry=3D3, newwidth=3Dnewwidth@entry=3D21,
pretend=3Dpretend@entry=3D0, delay=3Ddelay@entry=3D1,
    safe=3Dsafe@entry=3D0) at dispnew.c:5726
5726    in dispnew.c
(gdb)
Continuing.

Breakpoint 1, change_frame_size (f=3D0x104b4b0, newheight=3D3, newwidth=3D=
21,
pretend=3D0, delay=3D0, safe=3D0) at dispnew.c:5726
5726    in dispnew.c
(gdb)
Continuing.

Breakpoint 1, change_frame_size (f=3Df@entry=3D0x104b4b0,
newheight=3Dnewheight@entry=3D13, newwidth=3Dnewwidth@entry=3D21,
pretend=3Dpretend@entry=3D0, delay=3Ddelay@entry=3D1,
    safe=3Dsafe@entry=3D0) at dispnew.c:5726
5726    in dispnew.c
(gdb)
Continuing.

Breakpoint 1, change_frame_size (f=3D0x104b4b0, newheight=3D13, newwidth=3D=
21,
pretend=3D0, delay=3D0, safe=3D1) at dispnew.c:5726
5726    in dispnew.c
(gdb)
Continuing.

Breakpoint 1, change_frame_size (f=3Df@entry=3D0x104b4b0,
newheight=3Dnewheight@entry=3D8, newwidth=3Dnewwidth@entry=3D21,
pretend=3Dpretend@entry=3D0, delay=3Ddelay@entry=3D1,
    safe=3Dsafe@entry=3D0) at dispnew.c:5726
5726    in dispnew.c
(gdb)
Continuing.

Breakpoint 1, change_frame_size (f=3D0x104b4b0, newheight=3D8, newwidth=3D=
21,
pretend=3D0, delay=3D0, safe=3D1) at dispnew.c:5726
5726    in dispnew.c
(gdb)
Continuing.


I tried to check the source, but bzr just died with a maximum recursion
depth error when I tried to get the source of emacs 24.2.1 instead of
trunk=E2=80=A6 (I=E2=80=99m not used to bzr, so I likely sent it quite an=
 evil set of
commands: update from trunk to emacs-24.2.1; switch emacs-24.2.1; revert
--forget-merges ; switch emacs-24.2.1 =E2=86=92 dead)

Online I could only find this:

http://bzr.savannah.gnu.org/lh/emacs/emacs-24/annotate/head:/src/dispnew.=
c#L5726

A backtrace after clicking the minibuffer (which triggers a resize)
looks like this (without menubar):

Breakpoint 1, change_frame_size (f=3Df@entry=3D0x104b4b0,
newheight=3Dnewheight@entry=3D5, newwidth=3Dnewwidth@entry=3D21,
pretend=3Dpretend@entry=3D0, delay=3Ddelay@entry=3D1,
    safe=3Dsafe@entry=3D0) at dispnew.c:5726
5726    in dispnew.c
(gdb) backtrace
#0  change_frame_size (f=3Df@entry=3D0x104b4b0, newheight=3Dnewheight@ent=
ry=3D5,
newwidth=3Dnewwidth@entry=3D21, pretend=3Dpretend@entry=3D0,
delay=3Ddelay@entry=3D1, safe=3Dsafe@entry=3D0)
    at dispnew.c:5726
#1  0x00000000004ed1c8 in xg_frame_resized (f=3D0x104b4b0, pixelwidth=3D2=
00,
pixelheight=3D75) at gtkutil.c:888
#2  0x00000000004c3056 in handle_one_xevent
(dpyinfo=3Ddpyinfo@entry=3D0x101a3f0,
eventptr=3Deventptr@entry=3D0x7fffffffc360, finish=3Dfinish@entry=3D0xaee=
010
<current_finish>,
    hold_quit=3D0x7fffffffc720) at xterm.c:6813
#3  0x00000000004c3a34 in event_handler_gdk (gxev=3D0x7fffffffc360,
ev=3D<optimized out>, data=3D<optimized out>) at xterm.c:5834
#4  0x00007ffff7543d52 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#5  0x00007ffff75454f8 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#6  0x00007ffff754557e in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#7  0x00007ffff68c0883 in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
#8  0x00007ffff68c0bc8 in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x00007ffff68c0c84 in g_main_context_iteration () from
/usr/lib64/libglib-2.0.so.0
#10 0x00007ffff78d7b81 in gtk_main_iteration () from
/usr/lib64/libgtk-x11-2.0.so.0
#11 0x00000000004bb102 in XTread_socket (terminal=3D0x104b4b0, expected=3D=
5,
hold_quit=3D0x7fffffffc720) at xterm.c:7187
#12 0x0000000000502328 in read_avail_input (expected=3Dexpected@entry=3D1=
)
at keyboard.c:6859
#13 0x0000000000502b7a in handle_async_input () at keyboard.c:7187
#14 0x0000000000501a49 in process_pending_signals () at keyboard.c:7203
#15 0x00000000005afa35 in wait_reading_process_output
(time_limit=3Dtime_limit@entry=3D30, microsecs=3Dmicrosecs@entry=3D0,
read_kbd=3Dread_kbd@entry=3D-1,
    do_display=3Ddo_display@entry=3D1, wait_for_cell=3D11979218,
wait_proc=3Dwait_proc@entry=3D0x0, just_wait_proc=3Djust_wait_proc@entry=3D=
0) at
process.c:4343
#16 0x00000000004208b0 in sit_for (timeout=3Dtimeout@entry=3D120,
reading=3Dreading@entry=3D1, do_display=3Ddo_display@entry=3D1) at dispne=
w.c:6067
#17 0x0000000000507ae0 in read_char (commandflag=3D1, nmaps=3Dnmaps@entry=
=3D9,
maps=3Dmaps@entry=3D0x7fffffffcf60, prev_event=3D11979218,
    used_mouse_menu=3Dused_mouse_menu@entry=3D0x7fffffffd0b4,
end_time=3Dend_time@entry=3D0x0) at keyboard.c:2692
#18 0x00000000005087ad in read_key_sequence
(keybuf=3Dkeybuf@entry=3D0x7fffffffd190, prompt=3D11979218,
dont_downcase_last=3Ddont_downcase_last@entry=3D0,
    can_return_switch_frame=3Dcan_return_switch_frame@entry=3D1,
fix_current_buffer=3Dfix_current_buffer@entry=3D1, bufsize=3D30) at
keyboard.c:9328
#19 0x000000000050a97c in command_loop_1 () at keyboard.c:1449
#20 0x000000000056d621 in internal_condition_case
(bfun=3Dbfun@entry=3D0x50a790 <command_loop_1>, handlers=3D12031506,
hfun=3Dhfun@entry=3D0x4fff50 <cmd_error>) at eval.c:1514
#21 0x00000000004fab4e in command_loop_2 (ignore=3Dignore@entry=3D1197921=
8)
at keyboard.c:1160
#22 0x000000000056d51b in internal_catch (tag=3D<optimized out>,
func=3Dfunc@entry=3D0x4fab30 <command_loop_2>, arg=3D11979218) at eval.c:=
1271
#23 0x00000000004ffa67 in command_loop () at keyboard.c:1139
#24 recursive_edit_1 () at keyboard.c:759
#25 0x00000000004ffd6d in Frecursive_edit () at keyboard.c:823
#26 0x0000000000415b8d in main (argc=3D<optimized out>,
argv=3D0x7fffffffd9b8) at emacs.c:1715




The following are 4 backtraces after activating the menubar, then
enlarging the window and continuing, until emacs starts to shrink itself
again:


Breakpoint 1, change_frame_size (f=3Df@entry=3D0x104b4b0,
newheight=3Dnewheight@entry=3D10, newwidth=3Dnewwidth@entry=3D40,
pretend=3Dpretend@entry=3D0, delay=3Ddelay@entry=3D1,
    safe=3Dsafe@entry=3D0) at dispnew.c:5726
5726    in dispnew.c
(gdb) backtrace
#0  change_frame_size (f=3Df@entry=3D0x104b4b0,
newheight=3Dnewheight@entry=3D10, newwidth=3Dnewwidth@entry=3D40,
pretend=3Dpretend@entry=3D0, delay=3Ddelay@entry=3D1, safe=3Dsafe@entry=3D=
0)
    at dispnew.c:5726
#1  0x00000000004ed1c8 in xg_frame_resized (f=3D0x104b4b0, pixelwidth=3D3=
52,
pixelheight=3D150) at gtkutil.c:888
#2  0x00000000004c3056 in handle_one_xevent
(dpyinfo=3Ddpyinfo@entry=3D0x101a3f0,
eventptr=3Deventptr@entry=3D0x7fffffffa5a0, finish=3Dfinish@entry=3D0xaee=
010
<current_finish>,
    hold_quit=3D0x7fffffffa960) at xterm.c:6813
#3  0x00000000004c3a34 in event_handler_gdk (gxev=3D0x7fffffffa5a0,
ev=3D<optimized out>, data=3D<optimized out>) at xterm.c:5834
#4  0x00007ffff7543d52 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#5  0x00007ffff75454f8 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#6  0x00007ffff754557e in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#7  0x00007ffff68c0883 in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
#8  0x00007ffff68c0bc8 in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x00007ffff68c0c84 in g_main_context_iteration () from
/usr/lib64/libglib-2.0.so.0
#10 0x00007ffff78d7b81 in gtk_main_iteration () from
/usr/lib64/libgtk-x11-2.0.so.0
#11 0x00000000004bb102 in XTread_socket (terminal=3D0x104b4b0,
expected=3D10, hold_quit=3D0x7fffffffa960) at xterm.c:7187
#12 0x0000000000502328 in read_avail_input (expected=3Dexpected@entry=3D1=
)
at keyboard.c:6859
#13 0x0000000000502b7a in handle_async_input () at keyboard.c:7187
#14 0x0000000000501a49 in process_pending_signals () at keyboard.c:7203
#15 0x0000000000575f35 in internal_equal (o1=3Do1@entry=3D11979218,
o2=3Do2@entry=3D11979218, depth=3Ddepth@entry=3D0, props=3Dprops@entry=3D=
0) at
fns.c:2031
#16 0x00000000005760cd in Fequal (o1=3Do1@entry=3D11979218,
o2=3Do2@entry=3D11979218) at fns.c:2008
#17 0x000000000043d9f7 in display_mode_element
(it=3Dit@entry=3D0x7fffffffad20, depth=3D4, depth@entry=3D2, field_width=3D=
0,
precision=3Dprecision@entry=3D-1, elt=3D12574977,
    props=3Dprops@entry=3D11979218, risky=3D1, risky@entry=3D0) at xdisp.=
c:20203
#18 0x000000000043f446 in display_mode_element
(it=3Dit@entry=3D0x7fffffffad20, depth=3D2, depth@entry=3D0,
field_width=3Dfield_width@entry=3D-1, precision=3Dprecision@entry=3D-1,
    elt=3D<optimized out>, elt@entry=3D8713366, props=3D11979218,
risky=3Drisky@entry=3D0) at xdisp.c:20567
#19 0x000000000043fa8e in x_consider_frame_title (frame=3D<optimized out>=
)
at xdisp.c:10974
#20 0x000000000043fbab in prepare_menu_bars () at xdisp.c:11031
#21 0x0000000000449a6e in redisplay_internal () at xdisp.c:12944
#22 0x000000000044bd13 in redisplay_preserve_echo_area
(from_where=3D<optimized out>) at xdisp.c:13556
#23 0x0000000000505692 in detect_input_pending_run_timers
(do_display=3Ddo_display@entry=3D1) at keyboard.c:10512
#24 0x00000000005af5d8 in wait_reading_process_output
(time_limit=3Dtime_limit@entry=3D30, microsecs=3Dmicrosecs@entry=3D0,
read_kbd=3Dread_kbd@entry=3D-1,
    do_display=3Ddo_display@entry=3D1, wait_for_cell=3D11979218,
wait_proc=3Dwait_proc@entry=3D0x0, just_wait_proc=3Djust_wait_proc@entry=3D=
0) at
process.c:4738
#25 0x00000000004208b0 in sit_for (timeout=3Dtimeout@entry=3D120,
reading=3Dreading@entry=3D1, do_display=3Ddo_display@entry=3D1) at dispne=
w.c:6067
#26 0x0000000000507ae0 in read_char (commandflag=3D1, nmaps=3Dnmaps@entry=
=3D9,
maps=3Dmaps@entry=3D0x7fffffffcf60, prev_event=3D11979218,
    used_mouse_menu=3Dused_mouse_menu@entry=3D0x7fffffffd0b4,
end_time=3Dend_time@entry=3D0x0) at keyboard.c:2692
#27 0x00000000005087ad in read_key_sequence
(keybuf=3Dkeybuf@entry=3D0x7fffffffd190, prompt=3D11979218,
dont_downcase_last=3Ddont_downcase_last@entry=3D0,
    can_return_switch_frame=3Dcan_return_switch_frame@entry=3D1,
fix_current_buffer=3Dfix_current_buffer@entry=3D1, bufsize=3D30) at
keyboard.c:9328
#28 0x000000000050a97c in command_loop_1 () at keyboard.c:1449
#29 0x000000000056d621 in internal_condition_case
(bfun=3Dbfun@entry=3D0x50a790 <command_loop_1>, handlers=3D12031506,
hfun=3Dhfun@entry=3D0x4fff50 <cmd_error>) at eval.c:1514
#30 0x00000000004fab4e in command_loop_2 (ignore=3Dignore@entry=3D1197921=
8)
at keyboard.c:1160
#31 0x000000000056d51b in internal_catch (tag=3D<optimized out>,
func=3Dfunc@entry=3D0x4fab30 <command_loop_2>, arg=3D11979218) at eval.c:=
1271
#32 0x00000000004ffa67 in command_loop () at keyboard.c:1139
#33 recursive_edit_1 () at keyboard.c:759
#34 0x00000000004ffd6d in Frecursive_edit () at keyboard.c:823
#35 0x0000000000415b8d in main (argc=3D<optimized out>,
argv=3D0x7fffffffd9b8) at emacs.c:1715
(gdb) c
Continuing.

Breakpoint 1, change_frame_size (f=3D0x104b4b0, newheight=3D10, newwidth=3D=
40,
pretend=3D0, delay=3D0, safe=3D1) at dispnew.c:5726
5726    in dispnew.c
(gdb) backtrace
#0  change_frame_size (f=3D0x104b4b0, newheight=3D10, newwidth=3D40,
pretend=3D0, delay=3D0, safe=3D1) at dispnew.c:5726
#1  0x00000000004205b0 in do_pending_window_change (safe=3Dsafe@entry=3D1=
)
at dispnew.c:5706
#2  0x0000000000449a0c in redisplay_internal () at xdisp.c:13501
#3  0x000000000044bd13 in redisplay_preserve_echo_area
(from_where=3D<optimized out>) at xdisp.c:13556
#4  0x0000000000505692 in detect_input_pending_run_timers
(do_display=3Ddo_display@entry=3D1) at keyboard.c:10512
#5  0x00000000005af5d8 in wait_reading_process_output
(time_limit=3Dtime_limit@entry=3D30, microsecs=3Dmicrosecs@entry=3D0,
read_kbd=3Dread_kbd@entry=3D-1,
    do_display=3Ddo_display@entry=3D1, wait_for_cell=3D11979218,
wait_proc=3Dwait_proc@entry=3D0x0, just_wait_proc=3Djust_wait_proc@entry=3D=
0) at
process.c:4738
#6  0x00000000004208b0 in sit_for (timeout=3Dtimeout@entry=3D120,
reading=3Dreading@entry=3D1, do_display=3Ddo_display@entry=3D1) at dispne=
w.c:6067
#7  0x0000000000507ae0 in read_char (commandflag=3D1, nmaps=3Dnmaps@entry=
=3D9,
maps=3Dmaps@entry=3D0x7fffffffcf60, prev_event=3D11979218,
    used_mouse_menu=3Dused_mouse_menu@entry=3D0x7fffffffd0b4,
end_time=3Dend_time@entry=3D0x0) at keyboard.c:2692
#8  0x00000000005087ad in read_key_sequence
(keybuf=3Dkeybuf@entry=3D0x7fffffffd190, prompt=3D11979218,
dont_downcase_last=3Ddont_downcase_last@entry=3D0,
    can_return_switch_frame=3Dcan_return_switch_frame@entry=3D1,
fix_current_buffer=3Dfix_current_buffer@entry=3D1, bufsize=3D30) at
keyboard.c:9328
#9  0x000000000050a97c in command_loop_1 () at keyboard.c:1449
#10 0x000000000056d621 in internal_condition_case
(bfun=3Dbfun@entry=3D0x50a790 <command_loop_1>, handlers=3D12031506,
hfun=3Dhfun@entry=3D0x4fff50 <cmd_error>) at eval.c:1514
#11 0x00000000004fab4e in command_loop_2 (ignore=3Dignore@entry=3D1197921=
8)
at keyboard.c:1160
#12 0x000000000056d51b in internal_catch (tag=3D<optimized out>,
func=3Dfunc@entry=3D0x4fab30 <command_loop_2>, arg=3D11979218) at eval.c:=
1271
#13 0x00000000004ffa67 in command_loop () at keyboard.c:1139
#14 recursive_edit_1 () at keyboard.c:759
#15 0x00000000004ffd6d in Frecursive_edit () at keyboard.c:823
#16 0x0000000000415b8d in main (argc=3D<optimized out>,
argv=3D0x7fffffffd9b8) at emacs.c:1715

Breakpoint 1, change_frame_size (f=3Df@entry=3D0x104b4b0,
newheight=3Dnewheight@entry=3D7, newwidth=3Dnewwidth@entry=3D40,
pretend=3Dpretend@entry=3D0, delay=3Ddelay@entry=3D1,
    safe=3Dsafe@entry=3D0) at dispnew.c:5726
5726    in dispnew.c
(gdb) backtrace
#0  change_frame_size (f=3Df@entry=3D0x104b4b0, newheight=3Dnewheight@ent=
ry=3D7,
newwidth=3Dnewwidth@entry=3D40, pretend=3Dpretend@entry=3D0,
delay=3Ddelay@entry=3D1, safe=3Dsafe@entry=3D0)
    at dispnew.c:5726
#1  0x00000000004ed1c8 in xg_frame_resized (f=3D0x104b4b0, pixelwidth=3D3=
52,
pixelheight=3D105) at gtkutil.c:888
#2  0x00000000004c3056 in handle_one_xevent
(dpyinfo=3Ddpyinfo@entry=3D0x101a3f0,
eventptr=3Deventptr@entry=3D0x7fffffffaf40, finish=3Dfinish@entry=3D0xaee=
010
<current_finish>,
    hold_quit=3D0x7fffffffb300) at xterm.c:6813
#3  0x00000000004c3a34 in event_handler_gdk (gxev=3D0x7fffffffaf40,
ev=3D<optimized out>, data=3D<optimized out>) at xterm.c:5834
#4  0x00007ffff7543d52 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#5  0x00007ffff75454f8 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#6  0x00007ffff754557e in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#7  0x00007ffff68c0883 in g_main_context_dispatch () from
/usr/lib64/libglib-2.0.so.0
#8  0x00007ffff68c0bc8 in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x00007ffff68c0c84 in g_main_context_iteration () from
/usr/lib64/libglib-2.0.so.0
#10 0x00007ffff78d7b81 in gtk_main_iteration () from
/usr/lib64/libgtk-x11-2.0.so.0
#11 0x00000000004bb102 in XTread_socket (terminal=3D0x104b4b0, expected=3D=
7,
hold_quit=3D0x7fffffffb300) at xterm.c:7187
#12 0x0000000000502328 in read_avail_input (expected=3Dexpected@entry=3D1=
)
at keyboard.c:6859
#13 0x0000000000502b7a in handle_async_input () at keyboard.c:7187
#14 0x0000000000501a49 in process_pending_signals () at keyboard.c:7203
#15 0x00000000005a7961 in exec_byte_code (bytestr=3D<optimized out>,
vector=3D<optimized out>, maxdepth=3D<optimized out>,
args_template=3D<optimized out>, nargs=3Dnargs@entry=3D0,
    args=3D<optimized out>, args@entry=3D0x0) at bytecode.c:621
#16 0x000000000056ede1 in funcall_lambda (fun=3D50942565,
nargs=3Dnargs@entry=3D0, arg_vector=3Darg_vector@entry=3D0x7fffffffb750) =
at
eval.c:3232
#17 0x000000000056f0fb in Ffuncall (nargs=3Dnargs@entry=3D1,
args=3Dargs@entry=3D0x7fffffffb748) at eval.c:3062
#18 0x000000000057065c in Fapply (nargs=3D2, args=3D0x7fffffffb748) at
eval.c:2449
#19 0x000000000056f2df in Ffuncall (nargs=3D<optimized out>,
args=3Dargs@entry=3D0x7fffffffb740) at eval.c:2983
#20 0x00000000005a6713 in exec_byte_code (bytestr=3D<optimized out>,
vector=3D<optimized out>, maxdepth=3D<optimized out>,
args_template=3D<optimized out>, nargs=3D<optimized out>,
    args=3D<optimized out>) at bytecode.c:785
#21 0x000000000056e7ed in eval_sub (form=3Dform@entry=3D9999318) at eval.=
c:2355
#22 0x0000000000571e01 in internal_lisp_condition_case (var=3D11979218,
bodyform=3D9999318, handlers=3D8769638) at eval.c:1468
#23 0x00000000005a6d68 in exec_byte_code (bytestr=3D<optimized out>,
vector=3D<optimized out>, maxdepth=3D<optimized out>,
args_template=3D<optimized out>, nargs=3Dnargs@entry=3D0,
    args=3D<optimized out>, args@entry=3D0x0) at bytecode.c:981
#24 0x000000000056ede1 in funcall_lambda (fun=3D9999013,
nargs=3Dnargs@entry=3D1, arg_vector=3Darg_vector@entry=3D0x7fffffffbc48) =
at
eval.c:3232
#25 0x000000000056f0fb in Ffuncall (nargs=3Dnargs@entry=3D2,
args=3Dargs@entry=3D0x7fffffffbc40) at eval.c:3062
#26 0x000000000056f43a in call1 (fn=3D<optimized out>,
arg1=3Darg1@entry=3D49827285) at eval.c:2770
#27 0x000000000050085d in timer_check_2 () at keyboard.c:4465
#28 timer_check () at keyboard.c:4511
#29 0x00000000005aeecb in wait_reading_process_output (time_limit=3D-1,
microsecs=3D0, read_kbd=3Dread_kbd@entry=3D0, do_display=3Ddo_display@ent=
ry=3D0,
wait_for_cell=3D11979218,
    wait_proc=3D0x0, just_wait_proc=3D0) at process.c:4390
#30 0x00000000005b09f2 in Faccept_process_output (process=3D11979218,
seconds=3D<optimized out>, millisec=3D<optimized out>,
just_this_one=3D<optimized out>) at process.c:3999
#31 0x000000000056f247 in Ffuncall (nargs=3D<optimized out>,
args=3Dargs@entry=3D0x7fffffffc0c0) at eval.c:3012
#32 0x00000000005a6713 in exec_byte_code (bytestr=3D<optimized out>,
vector=3D<optimized out>, maxdepth=3D<optimized out>,
args_template=3D<optimized out>, nargs=3Dnargs@entry=3D0,
    args=3D<optimized out>, args@entry=3D0x0) at bytecode.c:785
#33 0x000000000056ede1 in funcall_lambda (fun=3D24073429,
nargs=3Dnargs@entry=3D1, arg_vector=3Darg_vector@entry=3D0x7fffffffc298) =
at
eval.c:3232
#34 0x000000000056f0fb in Ffuncall (nargs=3Dnargs@entry=3D2,
args=3Dargs@entry=3D0x7fffffffc290) at eval.c:3062
#35 0x000000000056f43a in call1 (fn=3Dfn@entry=3D24073429, arg1=3D<optimi=
zed
out>) at eval.c:2770
#36 0x00000000005772bd in mapcar1 (leni=3D1, vals=3Dvals@entry=3D0x0,
fn=3Dfn@entry=3D24073429, seq=3Dseq@entry=3D24959830) at fns.c:2346
#37 0x000000000057a00f in Fmapc (function=3D24073429, sequence=3D24959830=
)
at fns.c:2434
#38 0x000000000056e801 in eval_sub (form=3Dform@entry=3D23317142) at eval=
=2Ec:2352
#39 0x000000000056d51b in internal_catch (tag=3D<optimized out>,
func=3D0x56e310 <eval_sub>, arg=3D23317142) at eval.c:1271
#40 0x00000000005a6daa in exec_byte_code (bytestr=3D<optimized out>,
vector=3D<optimized out>, maxdepth=3D<optimized out>,
args_template=3D<optimized out>, nargs=3D<optimized out>,
    args=3D<optimized out>) at bytecode.c:966
#41 0x000000000056e7ed in eval_sub (form=3Dform@entry=3D23316342) at eval=
=2Ec:2355
#42 0x0000000000571e01 in internal_lisp_condition_case (var=3D12347458,
bodyform=3D23316342, handlers=3D23316118) at eval.c:1468
#43 0x00000000005a6d68 in exec_byte_code (bytestr=3D<optimized out>,
vector=3D<optimized out>, maxdepth=3D<optimized out>,
args_template=3D<optimized out>, nargs=3Dnargs@entry=3D0,
    args=3D<optimized out>, args@entry=3D0x0) at bytecode.c:981
#44 0x000000000056ede1 in funcall_lambda (fun=3D23938325,
nargs=3Dnargs@entry=3D0, arg_vector=3Darg_vector@entry=3D0x7fffffffcac8) =
at
eval.c:3232
#45 0x000000000056f0fb in Ffuncall (nargs=3D1, args=3D0x7fffffffcac0) at
eval.c:3062
#46 0x000000000056f389 in funcall_nil (nargs=3D<optimized out>,
args=3D<optimized out>) at eval.c:2518
#47 0x000000000056dc45 in run_hook_with_args (nargs=3D1,
args=3D0x7fffffffcac0, funcall=3D0x56f380 <funcall_nil>) at eval.c:2707
#48 0x000000000056dd86 in Frun_hooks (nargs=3Dnargs@entry=3D1,
args=3Dargs@entry=3D0x7fffffffcb28) at eval.c:2545
#49 0x000000000053259e in Fdo_auto_save (no_message=3D11979218,
current_only=3D11979218) at fileio.c:5325
#50 0x0000000000507b29 in read_char (commandflag=3D1, nmaps=3Dnmaps@entry=
=3D9,
maps=3Dmaps@entry=3D0x7fffffffcf60, prev_event=3D11979218,
    used_mouse_menu=3Dused_mouse_menu@entry=3D0x7fffffffd0b4,
end_time=3Dend_time@entry=3D0x0) at keyboard.c:2698
#51 0x00000000005087ad in read_key_sequence
(keybuf=3Dkeybuf@entry=3D0x7fffffffd190, prompt=3D11979218,
dont_downcase_last=3Ddont_downcase_last@entry=3D0,
    can_return_switch_frame=3Dcan_return_switch_frame@entry=3D1,
fix_current_buffer=3Dfix_current_buffer@entry=3D1, bufsize=3D30) at
keyboard.c:9328
#52 0x000000000050a97c in command_loop_1 () at keyboard.c:1449
#53 0x000000000056d621 in internal_condition_case
(bfun=3Dbfun@entry=3D0x50a790 <command_loop_1>, handlers=3D12031506,
hfun=3Dhfun@entry=3D0x4fff50 <cmd_error>) at eval.c:1514
#54 0x00000000004fab4e in command_loop_2 (ignore=3Dignore@entry=3D1197921=
8)
at keyboard.c:1160
#55 0x000000000056d51b in internal_catch (tag=3D<optimized out>,
func=3Dfunc@entry=3D0x4fab30 <command_loop_2>, arg=3D11979218) at eval.c:=
1271
#56 0x00000000004ffa67 in command_loop () at keyboard.c:1139
---Type <return> to continue, or q <return> to quit---
#57 recursive_edit_1 () at keyboard.c:759
#58 0x00000000004ffd6d in Frecursive_edit () at keyboard.c:823
#59 0x0000000000415b8d in main (argc=3D<optimized out>,
argv=3D0x7fffffffd9b8) at emacs.c:1715
(gdb) c
Continuing.

Breakpoint 1, change_frame_size (f=3D0x104b4b0, newheight=3D7, newwidth=3D=
40,
pretend=3D0, delay=3D0, safe=3D0) at dispnew.c:5726
5726    in dispnew.c
(gdb) backtrace
#0  change_frame_size (f=3D0x104b4b0, newheight=3D7, newwidth=3D40, prete=
nd=3D0,
delay=3D0, safe=3D0) at dispnew.c:5726
#1  0x00000000004205b0 in do_pending_window_change (safe=3Dsafe@entry=3D0=
)
at dispnew.c:5706
#2  0x00000000005af561 in wait_reading_process_output (time_limit=3D-1,
microsecs=3D0, read_kbd=3Dread_kbd@entry=3D0, do_display=3Ddo_display@ent=
ry=3D0,
wait_for_cell=3D11979218,
    wait_proc=3D0x0, just_wait_proc=3D0) at process.c:4678
#3  0x00000000005b09f2 in Faccept_process_output (process=3D11979218,
seconds=3D<optimized out>, millisec=3D<optimized out>,
just_this_one=3D<optimized out>) at process.c:3999
#4  0x000000000056f247 in Ffuncall (nargs=3D<optimized out>,
args=3Dargs@entry=3D0x7fffffffc0c0) at eval.c:3012
#5  0x00000000005a6713 in exec_byte_code (bytestr=3D<optimized out>,
vector=3D<optimized out>, maxdepth=3D<optimized out>,
args_template=3D<optimized out>, nargs=3Dnargs@entry=3D0,
    args=3D<optimized out>, args@entry=3D0x0) at bytecode.c:785
#6  0x000000000056ede1 in funcall_lambda (fun=3D24073429,
nargs=3Dnargs@entry=3D1, arg_vector=3Darg_vector@entry=3D0x7fffffffc298) =
at
eval.c:3232
#7  0x000000000056f0fb in Ffuncall (nargs=3Dnargs@entry=3D2,
args=3Dargs@entry=3D0x7fffffffc290) at eval.c:3062
#8  0x000000000056f43a in call1 (fn=3Dfn@entry=3D24073429, arg1=3D<optimi=
zed
out>) at eval.c:2770
#9  0x00000000005772bd in mapcar1 (leni=3D1, vals=3Dvals@entry=3D0x0,
fn=3Dfn@entry=3D24073429, seq=3Dseq@entry=3D24959830) at fns.c:2346
#10 0x000000000057a00f in Fmapc (function=3D24073429, sequence=3D24959830=
)
at fns.c:2434
#11 0x000000000056e801 in eval_sub (form=3Dform@entry=3D23317142) at eval=
=2Ec:2352
#12 0x000000000056d51b in internal_catch (tag=3D<optimized out>,
func=3D0x56e310 <eval_sub>, arg=3D23317142) at eval.c:1271
#13 0x00000000005a6daa in exec_byte_code (bytestr=3D<optimized out>,
vector=3D<optimized out>, maxdepth=3D<optimized out>,
args_template=3D<optimized out>, nargs=3D<optimized out>,
    args=3D<optimized out>) at bytecode.c:966
#14 0x000000000056e7ed in eval_sub (form=3Dform@entry=3D23316342) at eval=
=2Ec:2355
#15 0x0000000000571e01 in internal_lisp_condition_case (var=3D12347458,
bodyform=3D23316342, handlers=3D23316118) at eval.c:1468
#16 0x00000000005a6d68 in exec_byte_code (bytestr=3D<optimized out>,
vector=3D<optimized out>, maxdepth=3D<optimized out>,
args_template=3D<optimized out>, nargs=3Dnargs@entry=3D0,
    args=3D<optimized out>, args@entry=3D0x0) at bytecode.c:981
#17 0x000000000056ede1 in funcall_lambda (fun=3D23938325,
nargs=3Dnargs@entry=3D0, arg_vector=3Darg_vector@entry=3D0x7fffffffcac8) =
at
eval.c:3232
#18 0x000000000056f0fb in Ffuncall (nargs=3D1, args=3D0x7fffffffcac0) at
eval.c:3062
#19 0x000000000056f389 in funcall_nil (nargs=3D<optimized out>,
args=3D<optimized out>) at eval.c:2518
#20 0x000000000056dc45 in run_hook_with_args (nargs=3D1,
args=3D0x7fffffffcac0, funcall=3D0x56f380 <funcall_nil>) at eval.c:2707
#21 0x000000000056dd86 in Frun_hooks (nargs=3Dnargs@entry=3D1,
args=3Dargs@entry=3D0x7fffffffcb28) at eval.c:2545
#22 0x000000000053259e in Fdo_auto_save (no_message=3D11979218,
current_only=3D11979218) at fileio.c:5325
#23 0x0000000000507b29 in read_char (commandflag=3D1, nmaps=3Dnmaps@entry=
=3D9,
maps=3Dmaps@entry=3D0x7fffffffcf60, prev_event=3D11979218,
    used_mouse_menu=3Dused_mouse_menu@entry=3D0x7fffffffd0b4,
end_time=3Dend_time@entry=3D0x0) at keyboard.c:2698
#24 0x00000000005087ad in read_key_sequence
(keybuf=3Dkeybuf@entry=3D0x7fffffffd190, prompt=3D11979218,
dont_downcase_last=3Ddont_downcase_last@entry=3D0,
    can_return_switch_frame=3Dcan_return_switch_frame@entry=3D1,
fix_current_buffer=3Dfix_current_buffer@entry=3D1, bufsize=3D30) at
keyboard.c:9328
#25 0x000000000050a97c in command_loop_1 () at keyboard.c:1449
#26 0x000000000056d621 in internal_condition_case
(bfun=3Dbfun@entry=3D0x50a790 <command_loop_1>, handlers=3D12031506,
hfun=3Dhfun@entry=3D0x4fff50 <cmd_error>) at eval.c:1514
#27 0x00000000004fab4e in command_loop_2 (ignore=3Dignore@entry=3D1197921=
8)
at keyboard.c:1160
#28 0x000000000056d51b in internal_catch (tag=3D<optimized out>,
func=3Dfunc@entry=3D0x4fab30 <command_loop_2>, arg=3D11979218) at eval.c:=
1271
#29 0x00000000004ffa67 in command_loop () at keyboard.c:1139
#30 recursive_edit_1 () at keyboard.c:759
#31 0x00000000004ffd6d in Frecursive_edit () at keyboard.c:823
#32 0x0000000000415b8d in main (argc=3D<optimized out>,
argv=3D0x7fffffffd9b8) at emacs.c:1715





Do they help you?

Best wishes,
Arne
--=20
Doktorand
Gruppe: GHG

Raum: 435/410
Tel.: +49 721 608-22885
arne.babenhauserheide@HIDDEN

Karlsruher Institut f=C3=BCr Technologie
IMK-ASF
Postfach 36 40
76021 Karlsruhe

--------------050403090100040803090108
Content-Type: text/x-vcard; charset=utf-8;
 name="arne_babenhauserheide.vcf"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="arne_babenhauserheide.vcf"

YmVnaW46dmNhcmQNCmZuOkFybmUgQmFiZW5oYXVzZXJoZWlkZQ0KbjpCYWJlbmhhdXNlcmhl
aWRlO0FybmUNCm9yZzpLSVQ7R0hHLCAgSU1LLUFTSw0KYWRyO3F1b3RlZC1wcmludGFibGU6
OztHZWI9QzM9QTR1ZGUgNDM1LCBSYXVtIDQxMCwgQ2FtcHVzIE5vcmQ7S2FybHNydWhlO0JX
Ozc2MDIxO0RldXRzY2hsYW5kDQplbWFpbDtpbnRlcm5ldDphcm5lLmJhYmVuaGF1c2VyaGVp
ZGVAa2l0LmVkdQ0KdGl0bGU6RG9rdG9yYW5kDQp0ZWw7d29yazorNDkgNzIxIDYwOC0yMjg4
NQ0KeC1tb3ppbGxhLWh0bWw6RkFMU0UNCnVybDpodHRwOi8vd3d3Lmltay1hc2Yua2l0LmVk
dS84NzRfMTE5NC5waHANCnZlcnNpb246Mi4xDQplbmQ6dmNhcmQNCg0K
--------------050403090100040803090108--

------enig2TRJQCJIDPGXVBLVXRFLX
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJRSueWAAoJEFyD82SnDaCeECYH/228YEHziVEoOQbHQyF8ThKb
ReOf8zIYCh4vraxmh3p/jYi0ihkCeEeHYFNoNqi8B3ifxz6YMEkXRR4gTlppYjBu
BtEC6NqedEVfUWlRkR9aWYQfMjCHwWRCZCYbkzRvpAljek9XzNs6WNZjhXhhLdjH
PGeY2A1Z4VkEOa5nBH86ILnTmnxoiB4j6Jz6WgGW9bdn/b4NOy6Emnfh7F98xlG8
pl5JeIL5xeIiu3gfrQ1bBByzCusIgK8o5M7y3GYUVmjMAAHDQ8Sbtb0HKNBDTtPG
sYFyBfbdyU4Re+RcoUD2GhOwkLwDOZNljbddVP27OmpZHKWnR1wv19miuBF2o78=
=mV//
-----END PGP SIGNATURE-----

------enig2TRJQCJIDPGXVBLVXRFLX--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13469; Package emacs. Full text available.

Message received at 13469 <at> debbugs.gnu.org:


Received: (at 13469) by debbugs.gnu.org; 20 Mar 2013 19:29:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 20 15:29:22 2013
Received: from localhost ([127.0.0.1]:38043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UIOhO-0001ns-G6
	for submit <at> debbugs.gnu.org; Wed, 20 Mar 2013 15:29:22 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:49739)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UIOhM-0001nj-NQ
	for 13469 <at> debbugs.gnu.org; Wed, 20 Mar 2013 15:29:21 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MJZ00E004KC9900@HIDDEN> for
	13469 <at> debbugs.gnu.org; Wed, 20 Mar 2013 21:26:42 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MJZ00DBI4OIY880@HIDDEN>;
	Wed, 20 Mar 2013 21:26:42 +0200 (IST)
Date: Wed, 20 Mar 2013 21:26:56 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13469: 24.2;
	emacs has a tiny frame, when I embed it in a kmail text
	field	via	xembed (--parent-id %w)
In-reply-to: <51497A90.7070901@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: arne.babenhauserheide@HIDDEN
Message-id: <83fvzpzxbz.fsf@HIDDEN>
References: <874nigbs8c.wl%arne_bab@HIDDEN> <5148405C.2000808@HIDDEN>
	<837gl220on.fsf@HIDDEN> <51497A90.7070901@HIDDEN>
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 13469
Cc: 13469 <at> debbugs.gnu.org, arne_bab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

[Please keep the bug address on the CC list.]

> Date: Wed, 20 Mar 2013 10:00:00 +0100
> From: "Arne Babenhauserheide (IMK)" <arne.babenhauserheide@HIDDEN>
> 
> > Is there any evidence that this is an Emacs bug, and not a bug in
> > qxembed-emacs.py?  Can you reproduce something similar with just
> > Emacs?
> 
> The cue for that is that the same happens with kmail, which I did not
> write, and that qxembed-emacs.py is just a 47 lines script, which can be
> reduced to the following by removing emacs version checks and
> commandline argument parsing:
> 
>     from PyQt4.QtGui import QX11EmbedContainer, QApplication
>     from PyQt4.QtCore import QProcess, SIGNAL, SLOT
>     from sys import argv
> 
>     app = QApplication(argv)
> 
>     container = QX11EmbedContainer()
>     container.resize(670, 630)
>     container.show()
> 
>     process = QProcess(container)
>     process.start("emacs", ["--parent-id", str(container.winId())])
> 
>     container.connect(container, SIGNAL("clientClosed()"), app.quit)
> 
>     container.connect(container,
> SIGNAL("error(QX11EmbedContainer::Error)"), app.quit)
> 
>     status = app.exec_()
>     process.close()
> 
> 
> There might also be a bug in Qt, which triggers this behavior.
> 
> Especially strange is that it works with emacs -Q --basic-display.

The --basic-display disables menu bar and tool bar, and also disables
blinking cursor.  Maybe the absent menu and tool bar somehow affect
this, when you resize the qxembed-window?

I suggest to put a breakpoint in change_frame_size, and see who calls
it with such a small frame size.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13469; Package emacs. Full text available.

Message received at 13469 <at> debbugs.gnu.org:


Received: (at 13469) by debbugs.gnu.org; 20 Mar 2013 03:49:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 23:49:16 2013
Received: from localhost ([127.0.0.1]:36512 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UIA1c-0001rC-16
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2013 23:49:16 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:45678)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1UIA1Z-0001r2-0y
	for 13469 <at> debbugs.gnu.org; Tue, 19 Mar 2013 23:49:15 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0MJX00H00WL3QI00@HIDDEN> for
	13469 <at> debbugs.gnu.org; Wed, 20 Mar 2013 05:46:06 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MJX00HQ4X4SN440@HIDDEN>;
	Wed, 20 Mar 2013 05:46:04 +0200 (IST)
Date: Wed, 20 Mar 2013 05:46:16 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13469: 24.2;
	emacs has a tiny frame, when I embed it in a kmail text
	field	via	xembed (--parent-id %w)
In-reply-to: <5148405C.2000808@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: arne.babenhauserheide@HIDDEN
Message-id: <837gl220on.fsf@HIDDEN>
References: <874nigbs8c.wl%arne_bab@HIDDEN> <5148405C.2000808@HIDDEN>
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 13469
Cc: 13469 <at> debbugs.gnu.org, arne_bab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> Date: Tue, 19 Mar 2013 11:39:24 +0100
> From: "Arne Babenhauserheide (IMK)" <arne.babenhauserheide@HIDDEN>
> 
> I can reproduce this bug with a simple qxembed frame. Steps:
> 
> 
> (1) Get qxembed-emacs:
> 
> https://bitbucket.org/ArneBab/kembed-emacs/src/71b958b3f737a62987dfc7cd39eb3edcb02308b2/qxembed-emacs.py
>     hg clone https://bitbucket.org/ArneBab/kembed-emacs
> 
> (2) run ./qxembed-emacs.py
> 
> (3) resize the qxembed-window.
> 
> (4) do the same with ./qxembed-emacs.py --basic
>     this opens emacs with -Q --basic-display
> 
> 
> For me, (3) has an embedded emacs which shrinks down instantly to maybe
> 5 chars after releasing the window.
> 
> With (4) the embedded emacs is adjusted to the window size after the
> first resize and then stays embedded correctly. But it looks odd due to
> the --basic-display.

Is there any evidence that this is an Emacs bug, and not a bug in
qxembed-emacs.py?  Can you reproduce something similar with just
Emacs?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13469; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Mar 2013 18:36:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 19 14:36:06 2013
Received: from localhost ([127.0.0.1]:35993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UI1OH-00054B-Dl
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2013 14:36:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39377)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <arne.babenhauserheide@HIDDEN>) id 1UHtyw-0005Ro-Q5
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2013 06:41:27 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <arne.babenhauserheide@HIDDEN>) id 1UHtxJ-0007Xy-6Y
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2013 06:39:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.7 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	RP_MATCHES_RCVD autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:49056)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <arne.babenhauserheide@HIDDEN>) id 1UHtxJ-0007Xp-2a
	for submit <at> debbugs.gnu.org; Tue, 19 Mar 2013 06:39:45 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50692)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <arne.babenhauserheide@HIDDEN>) id 1UHtxE-0001Zx-Re
	for bug-gnu-emacs@HIDDEN; Tue, 19 Mar 2013 06:39:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <arne.babenhauserheide@HIDDEN>) id 1UHtx6-0007VE-Mc
	for bug-gnu-emacs@HIDDEN; Tue, 19 Mar 2013 06:39:40 -0400
Received: from mailout.scc.kit.edu ([129.13.185.202]:44577)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <arne.babenhauserheide@HIDDEN>) id 1UHtx6-0007Uj-6i
	for bug-gnu-emacs@HIDDEN; Tue, 19 Mar 2013 06:39:32 -0400
Received: from KIT-MSX-03.kit.edu (kit-msx-03.kit.edu [172.21.117.13])
	by scc-mailout-02.scc.kit.edu with esmtps (Exim 4.72 #1)
	id 1UHtx3-0007G1-AN; Tue, 19 Mar 2013 11:39:29 +0100
Received: from [141.52.58.243] (172.21.117.7) by smtp.kit.edu (172.21.117.13)
	with Microsoft SMTP Server (TLS) id 8.3.298.1;
	Tue, 19 Mar 2013 11:39:27 +0100
Message-ID: <5148405C.2000808@HIDDEN>
Date: Tue, 19 Mar 2013 11:39:24 +0100
From: "Arne Babenhauserheide (IMK)" <arne.babenhauserheide@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
	rv:17.0) Gecko/20130131 Thunderbird/17.0.2
MIME-Version: 1.0
To: <arne_bab@HIDDEN>, <bug-gnu-emacs@HIDDEN>
Subject: bug#13469: 24.2;	emacs has a tiny frame, when I embed it in a kmail
	text field via	xembed (--parent-id %w)
X-Enigmail-Version: 1.5
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature";
	boundary="----enig2BTQKEUXREHWVGAVGTSHU"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 19 Mar 2013 14:36:04 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: arne.babenhauserheide@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

------enig2BTQKEUXREHWVGAVGTSHU
Content-Type: multipart/mixed;
 boundary="------------010206050107060409060908"

This is a multi-part message in MIME format.
--------------010206050107060409060908
Content-Type: text/plain; charset=ISO-8859-15
Content-Transfer-Encoding: quoted-printable

Hi,

I can reproduce this bug with a simple qxembed frame. Steps:


(1) Get qxembed-emacs:

https://bitbucket.org/ArneBab/kembed-emacs/src/71b958b3f737a62987dfc7cd39=
eb3edcb02308b2/qxembed-emacs.py
    hg clone https://bitbucket.org/ArneBab/kembed-emacs

(2) run ./qxembed-emacs.py

(3) resize the qxembed-window.

(4) do the same with ./qxembed-emacs.py --basic
    this opens emacs with -Q --basic-display


For me, (3) has an embedded emacs which shrinks down instantly to maybe
5 chars after releasing the window.

With (4) the embedded emacs is adjusted to the window size after the
first resize and then stays embedded correctly. But it looks odd due to
the --basic-display.

Best wishes,
Arne

--------------010206050107060409060908
Content-Type: text/x-vcard; charset=utf-8;
 name="arne_babenhauserheide.vcf"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="arne_babenhauserheide.vcf"

begin:vcard
fn:Arne Babenhauserheide
n:Babenhauserheide;Arne
org:KIT;GHG,  IMK-ASK
adr;quoted-printable:;;Geb=3DC3=3DA4ude 435, Raum 410, Campus Nord;Karlsr=
uhe;BW;76021;Deutschland
email;internet:arne.babenhauserheide@HIDDEN
title:Doktorand
tel;work:+49 721 608-22885
x-mozilla-html:FALSE
url:http://www.imk-asf.kit.edu/874_1194.php
version:2.1
end:vcard


--------------010206050107060409060908--

------enig2BTQKEUXREHWVGAVGTSHU
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJRSEBfAAoJEFyD82SnDaCeS9EH/RaWPnpUVaca6WejDsefBfH4
NkZY5+Uc/cyCix9P+WlbOk++HpEUWmNi19Sd1g8L26AvN1MU7YBQoYjU3sMl5uge
cCMHjGV2spwMEuSXRrRMgidUmassh84fuPu4PVqpJ16teFsMsmWmwmHxMDGxJGYw
7+goqYoqDi6lyRM6LwJjh0jeUEyoQVGvIcxVBMOAABQ987MtO5UwwzvMvorqrxRq
4ngmdsZl4zsAvCvKIJ12lAcXK2xCVKWxXwdILn2woqgGZWruBotQcj50KDjlIp5K
YzX4lQdi0C0jMAsT2FA1Ems+sfEYusopQryy6fAGZdC3iJrX/ryM4zqKxWhTH6U=
=X3vi
-----END PGP SIGNATURE-----

------enig2BTQKEUXREHWVGAVGTSHU--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13469; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jan 2013 23:54:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 16 18:54:01 2013
Received: from localhost ([127.0.0.1]:35831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tvcnu-0003jH-NY
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2013 18:54:01 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50315)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <arne_bab@HIDDEN>) id 1Tvcnp-0003j6-QS
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2013 18:53:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <arne_bab@HIDDEN>) id 1TvcnA-00008W-Nx
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2013 18:53:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE, RP_MATCHES_RCVD,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:44731)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <arne_bab@HIDDEN>) id 1TvcnA-00008R-K6
	for submit <at> debbugs.gnu.org; Wed, 16 Jan 2013 18:53:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:33392)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <arne_bab@HIDDEN>) id 1Tvcn6-0007aR-FA
	for bug-gnu-emacs@HIDDEN; Wed, 16 Jan 2013 18:53:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <arne_bab@HIDDEN>) id 1Tvcn1-00005A-22
	for bug-gnu-emacs@HIDDEN; Wed, 16 Jan 2013 18:53:08 -0500
Received: from mout.web.de ([212.227.15.3]:52923)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <arne_bab@HIDDEN>) id 1Tvcn0-00004u-Lr
	for bug-gnu-emacs@HIDDEN; Wed, 16 Jan 2013 18:53:02 -0500
Received: from fluss.draketo.de ([212.255.46.193]) by smtp.web.de (mrweb001)
	with ESMTPA (Nemesis) id 0MMnD5-1TrTFc3lpX-008fwp;
	Thu, 17 Jan 2013 00:53:00 +0100
Date: Thu, 17 Jan 2013 00:52:51 +0100
Message-ID: <874nigbs8c.wl%arne_bab@HIDDEN>
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2;
	emacs has a tiny frame, when I embed it in a kmail text field via
	xembed (--parent-id %w)
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI/1.14.6 (Maruoka)
	FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL/10.8 Emacs/24.2
	(x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V02:K0:oXBre9oHbZujm2Z8twGxbq/FYTYk6zIa/sOD2BIbxYd
	fFEINKY6NCNQyIYhFDqvbEml1FBQ8E9LJnDYpB+uJtNC41yBfX
	/f1GD7ZYoP710Drfu0aqWeiojl1qIS0ClFc1+qgGLOWWARyq3I
	r8AwCV7340jKRQKrRp+L/Lp2i5Lyq/qKQtQQkTX6G1um5TrffE
	t4JEutixJu/nQ4MNvDoqw==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: arne_bab@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgement at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

Dear Emacs Hackers,

Since KDE 4.9.1 KMail supports embedding emacs as editor directly in
its composer-windows.

When I do that, though, I get a tiny emacs frame instead of one
filling the window.

The commandline I use for the external editor is=20

    emacs -Q --parent-id %w --file %f --basic-display

I set this in KMail Settings =E2=86=92 E-Mail-Editor =E2=86=92 External Edi=
tor.

When I use --basic-display, I get a window with a width of about 23
chars of text. When I don=E2=80=99t use it, it=E2=80=99s about 5 chars wide.

In #emacs, twb guessed that kmail might send the width in chars and
emacs might interpret them as pixels:

    <twb> I wonder if it's something as stupid as kmail telling it to
          open with width 80 and kmail thinks this is characters and
          emacs thinks it's pixels

When I use emacsclient, the frame starts wider and then gets shrunken down =
to thumbnail size. The command line for that:

    emacsclient --parent-id %w %f

It would be great if this could be fixed, so I could even edit my mails
with emacs while I=E2=80=99m not using wanderlust (writing text in anything=
 but emacs feels crippled=E2=80=A6). And xembed could actually make emacs i=
ntegrate seamlessly with KDE.

Best wishes,
Arne

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/24.2/etc/DEBUG.


In GNU Emacs 24.2.1 (x86_64-pc-linux-gnu, GTK+ Version 2.24.12)
 of 2012-12-30 on fluss
Windowing system distributor `The X.Org Foundation', version 11.0.11301000
Configured using:
 `configure '--prefix=3D/usr' '--build=3Dx86_64-pc-linux-gnu'
 '--host=3Dx86_64-pc-linux-gnu' '--mandir=3D/usr/share/man'
 '--infodir=3D/usr/share/info' '--datadir=3D/usr/share'
 '--sysconfdir=3D/etc' '--localstatedir=3D/var/lib' '--libdir=3D/usr/lib64'
 '--disable-dependency-tracking' '--program-suffix=3D-emacs-24'
 '--infodir=3D/usr/share/info/emacs-24'
 '--enable-locallisppath=3D/etc/emacs:/usr/share/emacs/site-lisp'
 '--with-crt-dir=3D/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../lib64'
 '--with-gameuser=3Dgames' '--without-compress-info'
 '--disable-maintainer-mode' '--without-hesiod' '--without-kerberos'
 '--without-kerberos5' '--with-gpm' '--with-dbus' '--with-gnutls'
 '--without-xml2' '--without-selinux' '--without-wide-int'
 '--with-sound' '--with-x' '--without-ns' '--without-gconf'
 '--without-gsettings' '--with-toolkit-scroll-bars' '--with-gif'
 '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xpm'
 '--without-imagemagick' '--with-xft' '--with-libotf'
 '--with-m17n-flt' '--with-x-toolkit=3Dgtk'
 'GENTOO_PACKAGE=3Dapp-editors/emacs-24.2'
 'build_alias=3Dx86_64-pc-linux-gnu' 'host_alias=3Dx86_64-pc-linux-gnu'
 'CFLAGS=3D-march=3Dnative -O2 -pipe' 'LDFLAGS=3D-Wl,-O1 -Wl,--as-needed'
 'CPPFLAGS=3D''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8
  default enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  kde-default-keys-minor-mode: t
  global-ethan-wspace-mode: t
  real-global-auto-complete-mode: t
  global-auto-complete-mode: t
  auto-complete-mode: t
  nyan-mode: t
  semantic-mru-bookmark-mode: t
  semantic-idle-summary-mode: t
  senator-minor-mode: t
  shell-dirtrack-mode: t
  global-rudel-minor-mode: t
  savehist-mode: t
  recentf-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
u m b e r - t o - s t r i n g SPC C-x C-k <tab> ) )=20
C-n C-x ) <up> <up> C-a C-k C-k <down> <down> C-x e=20
e e e e e e e e e e e e e e e C-x C-s <undo> <undo>=20
<undo> <undo> <undo> <undo> <undo> <undo> <undo> <undo>=20
<undo> <undo> <undo> <undo> <undo> <undo> <undo> <undo>=20
<undo> <undo> <undo> C-a <up> <up> C-k C-k C-k C-k=20
C-x C-s M-> <prior> <up> <up> ; SPC C-x C-s <up> <up>=20
<right> C-x C-s <prior> <next> C-x C-s <down> <down>=20
<down> <down> <down> <down> <down> <down> <down> <down>=20
<down> <down> <down> <down> <down> <down> <next> C-x=20
C-s <down> <down> C-x C-s <down-mouse-1> <mouse-1>=20
<up> <up> <up> ; C-x C-s <down-mouse-1> <mouse-1> <up>=20
<up> <left> <left> <backspace> C-x C-s b f . e <return>=20
M-> <prior> <up> <up> <up> <up> <up> <up> <up> <up>=20
<up> <up> <up> <up> <up> <up> M-> <help-echo> <help-echo>=20
M-x c u r r e n t <tab> C-g C-h v c u r r e n t - f=20
r <tab> C-g C-g ( c u r r e n t - f r a m e <return>=20
C-h f <return> x <backspace> o x <next> x o <C-backspace>=20
<backspace> <C-backspace> <C-backspace> s e l e c t=20
e d - f r a m e C-h f <return> <help-echo> <help-echo>=20
<help-echo> <down-mouse-1> <help-echo> <mouse-movement>=20
<mouse-2> <help-echo> <help-echo> <help-echo> <down-mouse-1>=20
<help-echo> <mouse-movement> <mouse-2> <help-echo>=20
<down-mouse-1> <mouse-1> C-a <down> C-k C-k o x C-s=20
c u r r e n t - f r C-s C-s C-g C-g <prior> <prior>=20
<prior> <prior> <down> <down> <prior> <prior> <prior>=20
<prior> <prior> <prior> <prior> <prior> <prior> <prior>=20
<prior> <prior> M-x r e p o r t <tab> b u <tab> <r
eturn>

Recent messages:
Wrote /home/arne/.emacs.d/lisplets/activate-babenv.el
Mark set [2 times]
Quit [3 times]
 [2 times]
find-function-C-source: The C source file frame.c is not available
Note: file is write protected [3 times]
Local Ispell dictionary set to english [2 times]
Loading vc-bzr...done
Quit
Auto-saving...done

Load-path shadows:
~/.emacs.d/libs/bbdb-vcard/vcard hides ~/.emacs.d/libs/vcard
/usr/share/emacs/site-lisp/lua-mode/lua-mode hides /usr/share/emacs/site-li=
sp/monotone/lua-mode
/usr/share/emacs/site-lisp/cedet/common/ezimage hides /usr/share/emacs/24.2=
/lisp/ezimage
/usr/share/emacs/site-lisp/flim/hex-util hides /usr/share/emacs/24.2/lisp/h=
ex-util
/usr/share/emacs/site-lisp/cedet/speedbar/speedbar hides /usr/share/emacs/2=
4.2/lisp/speedbar
/usr/share/emacs/site-lisp/cedet/speedbar/dframe hides /usr/share/emacs/24.=
2/lisp/dframe
/usr/share/emacs/site-lisp/cedet/speedbar/sb-image hides /usr/share/emacs/2=
4.2/lisp/sb-image
/usr/share/emacs/site-lisp/flim/md4 hides /usr/share/emacs/24.2/lisp/md4
/usr/share/emacs/site-lisp/remember/remember hides /usr/share/emacs/24.2/li=
sp/textmodes/remember
/usr/share/emacs/site-lisp/org/org-archive hides /usr/share/emacs/24.2/lisp=
/org/org-archive
/usr/share/emacs/site-lisp/org/ob-clojure hides /usr/share/emacs/24.2/lisp/=
org/ob-clojure
/usr/share/emacs/site-lisp/org/ob-awk hides /usr/share/emacs/24.2/lisp/org/=
ob-awk
/usr/share/emacs/site-lisp/org/ob-ocaml hides /usr/share/emacs/24.2/lisp/or=
g/ob-ocaml
/usr/share/emacs/site-lisp/org/org-vm hides /usr/share/emacs/24.2/lisp/org/=
org-vm
/usr/share/emacs/site-lisp/org/ob-matlab hides /usr/share/emacs/24.2/lisp/o=
rg/ob-matlab
/usr/share/emacs/site-lisp/org/org-mew hides /usr/share/emacs/24.2/lisp/org=
/org-mew
/usr/share/emacs/site-lisp/org/ob-screen hides /usr/share/emacs/24.2/lisp/o=
rg/ob-screen
/usr/share/emacs/site-lisp/org/org-info hides /usr/share/emacs/24.2/lisp/or=
g/org-info
/usr/share/emacs/site-lisp/org/org-taskjuggler hides /usr/share/emacs/24.2/=
lisp/org/org-taskjuggler
/usr/share/emacs/site-lisp/org/org-src hides /usr/share/emacs/24.2/lisp/org=
/org-src
/usr/share/emacs/site-lisp/org/ob-sqlite hides /usr/share/emacs/24.2/lisp/o=
rg/ob-sqlite
/usr/share/emacs/site-lisp/org/ob-lilypond hides /usr/share/emacs/24.2/lisp=
/org/ob-lilypond
/usr/share/emacs/site-lisp/org/org-wl hides /usr/share/emacs/24.2/lisp/org/=
org-wl
/usr/share/emacs/site-lisp/org/org-mks hides /usr/share/emacs/24.2/lisp/org=
/org-mks
/usr/share/emacs/site-lisp/org/ob-scheme hides /usr/share/emacs/24.2/lisp/o=
rg/ob-scheme
/usr/share/emacs/site-lisp/org/ob-tangle hides /usr/share/emacs/24.2/lisp/o=
rg/ob-tangle
/usr/share/emacs/site-lisp/org/ob-latex hides /usr/share/emacs/24.2/lisp/or=
g/ob-latex
/usr/share/emacs/site-lisp/org/org-entities hides /usr/share/emacs/24.2/lis=
p/org/org-entities
/usr/share/emacs/site-lisp/org/ob-C hides /usr/share/emacs/24.2/lisp/org/ob=
-C
/usr/share/emacs/site-lisp/org/ob-fortran hides /usr/share/emacs/24.2/lisp/=
org/ob-fortran
/usr/share/emacs/site-lisp/org/ob-shen hides /usr/share/emacs/24.2/lisp/org=
/ob-shen
/usr/share/emacs/site-lisp/org/ob-css hides /usr/share/emacs/24.2/lisp/org/=
ob-css
/usr/share/emacs/site-lisp/org/ob-octave hides /usr/share/emacs/24.2/lisp/o=
rg/ob-octave
/usr/share/emacs/site-lisp/org/org-id hides /usr/share/emacs/24.2/lisp/org/=
org-id
/usr/share/emacs/site-lisp/org/org-irc hides /usr/share/emacs/24.2/lisp/org=
/org-irc
/usr/share/emacs/site-lisp/org/org-special-blocks hides /usr/share/emacs/24=
.2/lisp/org/org-special-blocks
/usr/share/emacs/site-lisp/org/org-feed hides /usr/share/emacs/24.2/lisp/or=
g/org-feed
/usr/share/emacs/site-lisp/org/ob-gnuplot hides /usr/share/emacs/24.2/lisp/=
org/ob-gnuplot
/usr/share/emacs/site-lisp/org/ob-asymptote hides /usr/share/emacs/24.2/lis=
p/org/ob-asymptote
/usr/share/emacs/site-lisp/org/org-capture hides /usr/share/emacs/24.2/lisp=
/org/org-capture
/usr/share/emacs/site-lisp/org/org-compat hides /usr/share/emacs/24.2/lisp/=
org/org-compat
/usr/share/emacs/site-lisp/org/ob-emacs-lisp hides /usr/share/emacs/24.2/li=
sp/org/ob-emacs-lisp
/usr/share/emacs/site-lisp/org/org-timer hides /usr/share/emacs/24.2/lisp/o=
rg/org-timer
/usr/share/emacs/site-lisp/org/org-lparse hides /usr/share/emacs/24.2/lisp/=
org/org-lparse
/usr/share/emacs/site-lisp/org/ob-plantuml hides /usr/share/emacs/24.2/lisp=
/org/ob-plantuml
/usr/share/emacs/site-lisp/org/org-datetree hides /usr/share/emacs/24.2/lis=
p/org/org-datetree
/usr/share/emacs/site-lisp/org/ob-ditaa hides /usr/share/emacs/24.2/lisp/or=
g/ob-ditaa
/usr/share/emacs/site-lisp/org/org-agenda hides /usr/share/emacs/24.2/lisp/=
org/org-agenda
/usr/share/emacs/site-lisp/org/org-install hides /usr/share/emacs/24.2/lisp=
/org/org-install
/usr/share/emacs/site-lisp/org/ob-comint hides /usr/share/emacs/24.2/lisp/o=
rg/ob-comint
/usr/share/emacs/site-lisp/org/org-mobile hides /usr/share/emacs/24.2/lisp/=
org/org-mobile
/usr/share/emacs/site-lisp/org/org hides /usr/share/emacs/24.2/lisp/org/org
/usr/share/emacs/site-lisp/org/ob-sh hides /usr/share/emacs/24.2/lisp/org/o=
b-sh
/usr/share/emacs/site-lisp/org/org-ascii hides /usr/share/emacs/24.2/lisp/o=
rg/org-ascii
/usr/share/emacs/site-lisp/org/org-faces hides /usr/share/emacs/24.2/lisp/o=
rg/org-faces
/usr/share/emacs/site-lisp/org/org-clock hides /usr/share/emacs/24.2/lisp/o=
rg/org-clock
/usr/share/emacs/site-lisp/org/org-colview hides /usr/share/emacs/24.2/lisp=
/org/org-colview
/usr/share/emacs/site-lisp/org/org-eshell hides /usr/share/emacs/24.2/lisp/=
org/org-eshell
/usr/share/emacs/site-lisp/org/org-mac-message hides /usr/share/emacs/24.2/=
lisp/org/org-mac-message
/usr/share/emacs/site-lisp/org/org-bbdb hides /usr/share/emacs/24.2/lisp/or=
g/org-bbdb
/usr/share/emacs/site-lisp/org/org-exp-blocks hides /usr/share/emacs/24.2/l=
isp/org/org-exp-blocks
/usr/share/emacs/site-lisp/org/ob-perl hides /usr/share/emacs/24.2/lisp/org=
/ob-perl
/usr/share/emacs/site-lisp/org/org-inlinetask hides /usr/share/emacs/24.2/l=
isp/org/org-inlinetask
/usr/share/emacs/site-lisp/org/ob-haskell hides /usr/share/emacs/24.2/lisp/=
org/ob-haskell
/usr/share/emacs/site-lisp/org/ob-eval hides /usr/share/emacs/24.2/lisp/org=
/ob-eval
/usr/share/emacs/site-lisp/org/org-mouse hides /usr/share/emacs/24.2/lisp/o=
rg/org-mouse
/usr/share/emacs/site-lisp/org/ob hides /usr/share/emacs/24.2/lisp/org/ob
/usr/share/emacs/site-lisp/org/org-docview hides /usr/share/emacs/24.2/lisp=
/org/org-docview
/usr/share/emacs/site-lisp/org/org-beamer hides /usr/share/emacs/24.2/lisp/=
org/org-beamer
/usr/share/emacs/site-lisp/org/org-exp hides /usr/share/emacs/24.2/lisp/org=
/org-exp
/usr/share/emacs/site-lisp/org/ob-dot hides /usr/share/emacs/24.2/lisp/org/=
ob-dot
/usr/share/emacs/site-lisp/org/ob-calc hides /usr/share/emacs/24.2/lisp/org=
/ob-calc
/usr/share/emacs/site-lisp/org/ob-python hides /usr/share/emacs/24.2/lisp/o=
rg/ob-python
/usr/share/emacs/site-lisp/org/ob-java hides /usr/share/emacs/24.2/lisp/org=
/ob-java
/usr/share/emacs/site-lisp/org/ob-lisp hides /usr/share/emacs/24.2/lisp/org=
/ob-lisp
/usr/share/emacs/site-lisp/org/org-docbook hides /usr/share/emacs/24.2/lisp=
/org/org-docbook
/usr/share/emacs/site-lisp/org/org-attach hides /usr/share/emacs/24.2/lisp/=
org/org-attach
/usr/share/emacs/site-lisp/org/org-pcomplete hides /usr/share/emacs/24.2/li=
sp/org/org-pcomplete
/usr/share/emacs/site-lisp/org/org-crypt hides /usr/share/emacs/24.2/lisp/o=
rg/org-crypt
/usr/share/emacs/site-lisp/org/ob-org hides /usr/share/emacs/24.2/lisp/org/=
ob-org
/usr/share/emacs/site-lisp/org/org-footnote hides /usr/share/emacs/24.2/lis=
p/org/org-footnote
/usr/share/emacs/site-lisp/org/org-xoxo hides /usr/share/emacs/24.2/lisp/or=
g/org-xoxo
/usr/share/emacs/site-lisp/org/ob-R hides /usr/share/emacs/24.2/lisp/org/ob=
-R
/usr/share/emacs/site-lisp/org/org-indent hides /usr/share/emacs/24.2/lisp/=
org/org-indent
/usr/share/emacs/site-lisp/org/org-gnus hides /usr/share/emacs/24.2/lisp/or=
g/org-gnus
/usr/share/emacs/site-lisp/org/org-mhe hides /usr/share/emacs/24.2/lisp/org=
/org-mhe
/usr/share/emacs/site-lisp/org/ob-sql hides /usr/share/emacs/24.2/lisp/org/=
ob-sql
/usr/share/emacs/site-lisp/org/ob-ruby hides /usr/share/emacs/24.2/lisp/org=
/ob-ruby
/usr/share/emacs/site-lisp/org/ob-maxima hides /usr/share/emacs/24.2/lisp/o=
rg/ob-maxima
/usr/share/emacs/site-lisp/org/ob-sass hides /usr/share/emacs/24.2/lisp/org=
/ob-sass
/usr/share/emacs/site-lisp/org/ob-exp hides /usr/share/emacs/24.2/lisp/org/=
ob-exp
/usr/share/emacs/site-lisp/org/org-latex hides /usr/share/emacs/24.2/lisp/o=
rg/org-latex
/usr/share/emacs/site-lisp/org/org-protocol hides /usr/share/emacs/24.2/lis=
p/org/org-protocol
/usr/share/emacs/site-lisp/org/ob-picolisp hides /usr/share/emacs/24.2/lisp=
/org/ob-picolisp
/usr/share/emacs/site-lisp/org/org-macs hides /usr/share/emacs/24.2/lisp/or=
g/org-macs
/usr/share/emacs/site-lisp/org/ob-ledger hides /usr/share/emacs/24.2/lisp/o=
rg/ob-ledger
/usr/share/emacs/site-lisp/org/org-jsinfo hides /usr/share/emacs/24.2/lisp/=
org/org-jsinfo
/usr/share/emacs/site-lisp/org/org-table hides /usr/share/emacs/24.2/lisp/o=
rg/org-table
/usr/share/emacs/site-lisp/org/org-icalendar hides /usr/share/emacs/24.2/li=
sp/org/org-icalendar
/usr/share/emacs/site-lisp/org/org-freemind hides /usr/share/emacs/24.2/lis=
p/org/org-freemind
/usr/share/emacs/site-lisp/org/ob-keys hides /usr/share/emacs/24.2/lisp/org=
/ob-keys
/usr/share/emacs/site-lisp/org/ob-lob hides /usr/share/emacs/24.2/lisp/org/=
ob-lob
/usr/share/emacs/site-lisp/org/ob-table hides /usr/share/emacs/24.2/lisp/or=
g/ob-table
/usr/share/emacs/site-lisp/org/org-odt hides /usr/share/emacs/24.2/lisp/org=
/org-odt
/usr/share/emacs/site-lisp/org/org-ctags hides /usr/share/emacs/24.2/lisp/o=
rg/org-ctags
/usr/share/emacs/site-lisp/org/ob-js hides /usr/share/emacs/24.2/lisp/org/o=
b-js
/usr/share/emacs/site-lisp/org/org-rmail hides /usr/share/emacs/24.2/lisp/o=
rg/org-rmail
/usr/share/emacs/site-lisp/org/org-bibtex hides /usr/share/emacs/24.2/lisp/=
org/org-bibtex
/usr/share/emacs/site-lisp/org/org-remember hides /usr/share/emacs/24.2/lis=
p/org/org-remember
/usr/share/emacs/site-lisp/org/org-w3m hides /usr/share/emacs/24.2/lisp/org=
/org-w3m
/usr/share/emacs/site-lisp/org/ob-mscgen hides /usr/share/emacs/24.2/lisp/o=
rg/ob-mscgen
/usr/share/emacs/site-lisp/org/ob-ref hides /usr/share/emacs/24.2/lisp/org/=
ob-ref
/usr/share/emacs/site-lisp/org/org-publish hides /usr/share/emacs/24.2/lisp=
/org/org-publish
/usr/share/emacs/site-lisp/org/org-list hides /usr/share/emacs/24.2/lisp/or=
g/org-list
/usr/share/emacs/site-lisp/org/org-habit hides /usr/share/emacs/24.2/lisp/o=
rg/org-habit
/usr/share/emacs/site-lisp/org/org-plot hides /usr/share/emacs/24.2/lisp/or=
g/org-plot
/usr/share/emacs/site-lisp/org/org-html hides /usr/share/emacs/24.2/lisp/or=
g/org-html
/usr/share/emacs/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/24.2/lisp/=
net/sasl-ntlm
/usr/share/emacs/site-lisp/flim/sasl-cram hides /usr/share/emacs/24.2/lisp/=
net/sasl-cram
/usr/share/emacs/site-lisp/flim/ntlm hides /usr/share/emacs/24.2/lisp/net/n=
tlm
/usr/share/emacs/site-lisp/flim/sasl hides /usr/share/emacs/24.2/lisp/net/s=
asl
/usr/share/emacs/site-lisp/flim/sasl-digest hides /usr/share/emacs/24.2/lis=
p/net/sasl-digest
/usr/share/emacs/site-lisp/flim/hmac-md5 hides /usr/share/emacs/24.2/lisp/n=
et/hmac-md5
/usr/share/emacs/site-lisp/flim/hmac-def hides /usr/share/emacs/24.2/lisp/n=
et/hmac-def
/usr/share/emacs/site-lisp/cjk-latex/thai-word hides /usr/share/emacs/24.2/=
lisp/language/thai-word
~/.emacs.d/private/gnus hides /usr/share/emacs/24.2/lisp/gnus/gnus
/usr/share/emacs/site-lisp/semi/smime hides /usr/share/emacs/24.2/lisp/gnus=
/smime
/usr/share/emacs/site-lisp/cedet/eieio/eieio-opt hides /usr/share/emacs/24.=
2/lisp/emacs-lisp/eieio-opt
/usr/share/emacs/site-lisp/cedet/eieio/eieio-custom hides /usr/share/emacs/=
24.2/lisp/emacs-lisp/eieio-custom
/usr/share/emacs/site-lisp/cedet/eieio/eieio-datadebug hides /usr/share/ema=
cs/24.2/lisp/emacs-lisp/eieio-datadebug
/usr/share/emacs/site-lisp/cedet/eieio/eieio hides /usr/share/emacs/24.2/li=
sp/emacs-lisp/eieio
/usr/share/emacs/site-lisp/emms/tq hides /usr/share/emacs/24.2/lisp/emacs-l=
isp/tq
/usr/share/emacs/site-lisp/cedet/eieio/eieio-speedbar hides /usr/share/emac=
s/24.2/lisp/emacs-lisp/eieio-speedbar
/usr/share/emacs/site-lisp/cedet/eieio/eieio-base hides /usr/share/emacs/24=
.2/lisp/emacs-lisp/eieio-base
/usr/share/emacs/site-lisp/cedet/eieio/chart hides /usr/share/emacs/24.2/li=
sp/emacs-lisp/chart
/usr/share/emacs/site-lisp/cedet/common/pulse hides /usr/share/emacs/24.2/l=
isp/cedet/pulse
/usr/share/emacs/site-lisp/cedet/common/cedet-global hides /usr/share/emacs=
/24.2/lisp/cedet/cedet-global
/usr/share/emacs/site-lisp/cedet/srecode/srecode hides /usr/share/emacs/24.=
2/lisp/cedet/srecode
/usr/share/emacs/site-lisp/cedet/common/cedet-files hides /usr/share/emacs/=
24.2/lisp/cedet/cedet-files
/usr/share/emacs/site-lisp/cedet/common/data-debug hides /usr/share/emacs/2=
4.2/lisp/cedet/data-debug
/usr/share/emacs/site-lisp/cedet/common/cedet-idutils hides /usr/share/emac=
s/24.2/lisp/cedet/cedet-idutils
/usr/share/emacs/site-lisp/cedet/ede/ede hides /usr/share/emacs/24.2/lisp/c=
edet/ede
/usr/share/emacs/site-lisp/cedet/common/mode-local hides /usr/share/emacs/2=
4.2/lisp/cedet/mode-local
/usr/share/emacs/site-lisp/cedet/common/cedet hides /usr/share/emacs/24.2/l=
isp/cedet/cedet
/usr/share/emacs/site-lisp/cedet/semantic/semantic hides /usr/share/emacs/2=
4.2/lisp/cedet/semantic
/usr/share/emacs/site-lisp/cedet/common/cedet-cscope hides /usr/share/emacs=
/24.2/lisp/cedet/cedet-cscope
/usr/share/emacs/site-lisp/cedet/common/inversion hides /usr/share/emacs/24=
.2/lisp/cedet/inversion
/usr/share/emacs/site-lisp/semi/pgg-pgp5 hides /usr/share/emacs/24.2/lisp/o=
bsolete/pgg-pgp5
/usr/share/emacs/site-lisp/semi/pgg-parse hides /usr/share/emacs/24.2/lisp/=
obsolete/pgg-parse
/usr/share/emacs/site-lisp/semi/pgg-pgp hides /usr/share/emacs/24.2/lisp/ob=
solete/pgg-pgp
/usr/share/emacs/site-lisp/semi/pgg-gpg hides /usr/share/emacs/24.2/lisp/ob=
solete/pgg-gpg
/usr/share/emacs/site-lisp/semi/pgg-def hides /usr/share/emacs/24.2/lisp/ob=
solete/pgg-def
/usr/share/emacs/site-lisp/semi/pgg hides /usr/share/emacs/24.2/lisp/obsole=
te/pgg
/usr/share/emacs/24.2/lisp/gnus/utf7 hides /home/arne/.emacs.d/libs/wanderl=
ust/elmo/utf7
/usr/share/emacs/24.2/lisp/mail/rfc2368 hides /home/arne/.emacs.d/libs/wand=
erlust/utils/rfc2368

Features:
(shadow wl-mime mime-play filename mime-edit pgg-parse pccl pccl-20
pgg-def signature modb-standard elmo-maildir elmo-map emacsbug message
idna mml mml-sec mm-decode mm-bodies mm-encode gmm-utils mailheader
vc-bzr semantic-tag-file semantic-c semantic-gcc semantic-dep
semantic-decorate-include hideif semantic-c-by semantic-lex-spp vc-git
grep semantic-decorate-mode semantic-decorate pulse two-column
cus-edit misearch multi-isearch semanticdb-find semanticdb-file
cedet-files semantic-edit face-remap eieio-opt help-mode view
thingatpt ffap server semantic-el semantic-bovine bovine-debug
semantic-debug activate-babenv eimp reftex-parse reftex-vcr reftex-dcr
reftex-auc reftex reftex-vars outline-magic ispell org-wl org-w3m
org-vm org-rmail org-mhe org-mew org-irc org-jsinfo org-infojs
org-html org-info org-gnus org-docview org-bibtex org-bbdb
font-lock-tm5rc generic activate-wanderlust bbdb-wl bbdb-hooks
mailcrypt rfc822 wl-demo wl-draft eword-encode wl-template wl-news
wl-address wl-thread wl-action wl-summary wl-refile wl-message
elmo-mime mmelmo-buffer mmelmo-imap mime-view mime-conf calist mmimap
mime-parse mmbuffer mmgeneric wl-highlight elmo-multi wl-folder wl
wl-e21 wl-util elmo-flag elmo-localdir wl-vars wl-version elmo
elmo-signal elmo-msgdb modb modb-generic modb-entity mime elmo-util
emu invisible inv-23 poem poem-e20 poem-e20_3 utf7 eword-decode mel
mime-def std11 mcharset mcs-20 mcs-e20 pces pces-e20 pces-20 broken
pcustom elmo-date elmo-vars elmo-version luna activate-private-data
private-basic private-wanderlust smtpmail sendmail mail-utils
w3m-search w3m browse-url doc-view jka-compr image-mode w3m-hist
w3m-fb bookmark-w3m w3m-ems w3m-ccl ccl w3m-favicon w3m-image w3m-proc
w3m-util apps bbdb-timed-notes bbdb-phone-book kanban fortran-tools
activate-python pydoc-info info-look sb-info info python-magic
python-21 python stenochords key-chord
activate-kde-default-keybindings activate-darkroom wc
activate-identica identica-mode url-http tls url-auth mail-parse
rfc2231 rfc2047 rfc2045 ietf-drums url-gw url url-proxy url-privacy
url-expand url-methods url-history url-cookie mailcap parse-time xml
epa-file epa epg epg-config activate-german-spelling
activate-ethan-wspace ethan-wspace popup-kill-ring pos-tip
activate-auto-complete auto-complete-config auto-complete popup
activate-markdown activate-latex-ide flymake compile
rainbow-delimiters ebib bibtex fic-ext-mode xub-mode
org-location-google-maps google-maps google-maps-static url-util
url-parse auth-source gnus-util password-cache url-vars mm-util
mail-prsvr google-maps-geocode google-maps-base json nyan-mode
semantic-m3 semantic-analyze-refs cedet-m3 semantic-mru-bookmark
semanticdb-mode semantic-idle eldoc senator which-func semantic-imenu
semantic-sb imenu org-latex org-export-latex org-beamer org-exp ob-exp
org-exp-blocks org-agenda footnote ob-org ob-gnuplot ob-C cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs ob-dot ob-ditaa ob-sh shell ob-python activate-emms
emms-cache emms-info-ogginfo emms-info-mp3info emms-info later-do
emms-playlist-mode emms-player-mplayer emms-player-simple
emms-source-playlist emms-source-file dired emms-setup emms
emms-compat edmacro kmacro control-lock htmlize typing rudel-mode
rudel-display rudel rudel-icons rudel-interactive rudel-compat
rudel-hooks rudel-operators rudel-overlay rudel-operations
rudel-session-initiation rudel-util rudel-errors rudel-loaddefs
rudel-backend goto-chg journal activate-quick-note remember-bbdb
remember ob-R org ob-tangle ob-ref ob-lob ob-table org-footnote
org-src ob-comint ob-keys org-pcomplete pcomplete comint ansi-color
ring org-list org-faces org-entities noutline outline easy-mmode
org-version ob-emacs-lisp ob org-compat org-macs ob-eval format-spec
cal-menu calendar cal-loaddefs bbdb-vcard bbdb-com mailabbrev vcard
allout savehist ido melpa recentf tree-widget cups printing ps-print
ps-def lpr rainbow-text ahg-autoloads deft-autoloads
f90-interface-browser-autoloads melpa-autoloads rainbow-mode-autoloads
svg-clock-autoloads package tabulated-list activate-base vc-hg
bookmark pp saveplace time-date uniquify paren time cus-start cus-load
site-gentoo jde-autoload w3m-load ecb-autoloads mime-setup
mail-mime-setup alist semi-setup path-util poe pym static apel-ver
product semi-def preview-latex org-install emms-auto cedet
cedet-contrib-load contrib-loaddefs cogre-load cogre-loaddefs
speedbar-load speedbar-loaddefs ede-load ede-loaddefs ede-speedbar
ede-files ede ede-base ede-auto eieio-speedbar semantic-ia-sb
semantic-analyze semantic-scope semantic-analyze-fcn semantic-sort
semanticdb-javap cedet-java semanticdb-el semanticdb-ref semantic-find
semanticdb semantic-ctxt semantic-format semantic-util-modes
semantic-util semantic semantic-lex semantic-tag-ls semantic-tag
working fame speedbar sb-image ezimage dframe easymenu assoc
eieio-custom wid-edit ede-source eieio-base srecode-load srecode
srecode-loaddefs semantic-load semantic-fw semantic-loaddefs
mode-local find-func derived eieio-load eieio-loaddefs cedet-load
cedet-compat cedet-loaddefs eieio warnings advice help-fns
advice-preload byte-opt bytecomp byte-compile cconv macroexp cl
inversion bbdb-autoloads bbdb regexp-opt timezone tex-site auto-loads
tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to arne_bab@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13469; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.